===== Dos Navigator What's new?..  =========================================

  [!] Major news
  [+] New feature
  [-] A bug fixed
  [*] A bug fixed and/or functionality improved


   Version 6.4.0
  ---------------------------------------------------------------------

    >>> Compatibility issues <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Fixed extender (DPMI16BI.OVL) in DPMI version. It improves stability
    under MS-DOS 7.1 when using EMM386.EXE NOEMS or working with NTFSDOS
    Professional Edition v4.x and v5.x (ntfspro.exe).

    >>> DN.INI parameters, setup and options <<<<<<<<<<<<<<<<<<<<<<<<<<

[-] INI engine fixed.

    >>> File manager <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] 'Split/Combine' made 'Copy' instead of 'Combine' in some cases.

[-] Fixed cursor positioning on exit from a directory after 'CD' command.

    >>> Archivers <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Fixed MS hotfix detection (CAB-SFX with digital sign).

    >>> Miscellaneous <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] It was impossible to insert symbols with code less than $20 (space)
    from ASCII Chart to input lines.

[*] In addition to Ctrl-Enter introduced the new hotkey (Space) to get symbol
    from ASCII Chart without closing its window.

[*] Added description for ASCII Chart in status line.

[-] Fixed HDD size detection in System Info.

    >>> Source codes usage features <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Internal optimizations: size of data segment decreased.


   Version 5.9.0
  ---------------------------------------------------------------------

    >>> DN.INI parameters, setup and options <<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Fixed writing of settings to dn.ini. Now DN will not crash when starting
    from CD under MS-DOS.

[*] Default codepage can be set separately for viewer and editor.
    "DefCodePage" option now has effect only on editor. Use "DefCodePageView"
    for viewer.

    >>> File manager <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Now DN will not crash when trying to read files' descriptions,
    if "descript.ion" is not a real description file.

[-] Fixed error that appeared when searching files with mask "DIR\*.*"
    (if "DIR" is located deeper than the root of current directory).

[*] When changing drive with <Ctrl-Left/Right> to the same drive, a cursor
    position is preserved.

[*] When trying to rename or delete inaccessible files, the corresponding
    dialog is displayed with ability to skip files or cancel operation.

[-] Fixed error connected with changing file panel size with options
    "[X] Show free space" and "[X] Show description" enabled.

[-] Fixed error connected with handling of commands history and dn.ext.

[-] It was impossible to turn off the changing of descriptions when renaming
    a file. Now descriptions are corrected when renaming files only if
    "Always copy descriptions" option is enabled.

    >>> Editor and viewer <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] In editor after deleting any but the last line (with <Ctrl-Y>) horizontal
    position of cursor is preserved.

[*] When moving block in editor the cursor is placed to the start
    of selection.

[+] In editor it is possible to return to a previous position with <Ctrl-E>
    after pressing <Ctrl-PgUp/Dn>, <Home/End>, making search or following
    a marker.

[*] In editor added standard hotkeys for working with blocks:
    <Ctrl-X> - synonim for <Shift-Del>
    <Ctrl-C> - synonim for <Ctrl-Ins>
    <Ctrl-V> - synonim for <Shift-Ins>
    <Ctrl-D> - synonim for <Ctrl-Del>

[-] Fixed memory leak when detecting codepage in viewer.

[-] Search of multibyte sequences in hexadecimal mode of viewer.

[-] When searching backwards one symbol in editor with option "Whole words
    only" enabled, DN could get caught in an endless loop.

[-] Fixed error connected with handling of viewer history for files
    which have some information appended to them since last viewing.

[-] Fixed suspended applying of changes in hexadecimal mode of viewer
    for relatively big files.

[-] Fixed incorrect scrolling with <PgUp> when changing read buffer
    in viewer.

[*] Now if file size has changed since last viewing and position of viewer
    turns out to be after the end of file, it will be changed to the end
    instead of beginning of the file.

[*] Now when pressing <Ctrl-PgDn> in viewer lower edge of window will go down
    one more line after the end of text.

    >>> Archivers <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] DN didn't show some archives' contents.

[*] The field "Archive to" in Archive Files dialog now has its own history.

[*] Improved and accelerated detection of SFX.

[-] Archives were not recorded to Directories History when changing to them
    with <Tab> hotkey.

    >>> Miscellanous <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] HDD size detection for 3rd and 4th drive.

[-] Windows of calculator and tetris could become inaccessible after making
    "Save desktop" operation having them opened.

[+] Language resources have been translated to Polish.

    >>> Source codes usage features <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Sources have been cleaned from unused variables/labels/constants.
    Sorting of variables was made taking BP compiler into account.

[!] Async Pro library was included in sources.


   Version 4.9.0
  ---------------------------------------------------------------------

    >>> Compatibility issues <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] When creating directory under control of Windows NT/2000/XP the cursor
    had not been placed on a new directory if its name contained spaces.

[-] Now DN works with substed drives correctly under Windows XP.

[*] Improved compatibility of CD player with Windows NT/2000/XP. Now one can
    use buttons for switching tracks in main windows (< and >). When trying
    to use functions that are not supported in these systems, an appropriate
    message will be shown.

[*] The new key "AutoDisableSecondsWNT" added to section [Clock] in dn.ini,
    which allows to disable seconds in built-in clock automatically when
    working under Windows NT/2000/XP.

    >>> DN.INI parameters, setup and options <<<<<<<<<<<<<<<<<<<<<<<<<<

[*] The new key "BlinkSeparator" added to section [Clock] in dn.ini to switch
    on/off the separator blinking in the clock when seconds are switched off.
    It is ignored when parameter "AutoDisableSecondsWNT" is turned on.

    >>> File manager <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] Now DN can compare subdirectories.

[+] Now DN can copy files from one archive to another using a temporary
    directory (incompatible with WinNT: temporary files are not deleted).

[+] Now Quick Directories list elements can be swapped (Shift-Up/Down).

[-] Showing help for output window (Alt-F5) works correctly now.

[-] Fixed DN crash at attempt to Quick Search files on empty panel.

[-] Now DN will change drive by pressing Ctrl+LeftArrow more correctly.

[-] A current directory on a disk which locates a temporary directory is not
    changed to temporary directory after viewing files from archives.

[-] Now DN will change current language using new algorithm.

[-] After maximizing file manager window it was impossible to restore its
    previous size.

[-] After changing Quick Directories in dialog mode a window title was not
    restored.

[-] Now DN will process quoted command line parameters correctly.

[-] Now DN correctly places the cursor after deleting of the selected files.
    If the cursor before removal was on the selected file after deleting
    the cursor will be placed on the following file after selected files.

[*] Improved interface of Compare Directories operation.

[*] Information about free memory, which is displayed on pressing Shift key,
    stays available when the clock is disabled.

    >>> Editor and viewer <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] Now when placing a bookmark in viewer or editor a dialog requiring
    confirmation is displayed if bookmark with the same number already
    exists.

[-] Now DN will accept the character @ in WKZ formulas again. Fixed error
    concerning functions with several parameters, leading to impossibility
    of using expressions with brackets as a parameters.

[-] Now DN will view temporary files correctly.

[-] In the editor the forward searching in the vertical block did not work
    correctly for short lines, which end before the left edge of a selected
    area. In some cases (i.e. when there were empty lines) DN crashed.
    For non-empty lines sometimes it could cause false success of searching.

[-] Fixed crash when viewing file in archive from history.

[-] Fixed error because of which viewer's history for files without an
    extension could not be saved.

[-] Now DN highlites text in editor correctly.

[-] DN crashed in attempt to perform Quick View operation when option
    DefCodePage in dn.ini was set to Auto.

[-] The mistake in backward search is fixed, and also use of search in editor and
    viewer is corrected. Now forward and backward search, and any alternation
    of them work correctly.

[*] The searching in the block in the editor is slightly optimised.

[*] Now DN can save viewer's position for archived files.

[*] Now combinations Ctrl-NumPad4/NumPad6 in editor (un)indent block only if
    NumLock function is turned off.

    >>> Database viewer <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] It was impossible to view memo field in dbf viewer when parameter
    DefCodePage in dn.ini was set to Auto.

    >>> Archivers <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] The new option "Pass names of directories" is added to archivers' setup.
    When it is enabled, the directory names are passed to archiver along with
    file names.

[+] LHA .COM SFX detection.

[+] Support of 7-Zip archiver.

[-] Now DN will delete directories from archives more correctly.

[-] Filenames like "./path/filename" are processed correctly in archives.

[*] Option "Swap when unpack/del/test" was liquidated. Now DN unloads itself
    from memory before calling any archivers.

[*] Temporary batch file is not used for viewing files in an archive.

[*] CAB-SFX detection.

    >>> Calculator <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] The code of calculator is rewritten again and optimized. When pressing
    <Enter> key on incorrect expression, the cursor will now move to the
    position of error. If a function argument is missing, the name of
    corresponding function will be displayed.

    >>> Miscellanous <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] Now in phone book search is performed not only by name and phone number,
    but also by memo lines.

[-] Now change of current language affects opened CD player window.

[-] When CD player cannot retrieve Audio CD information, DN does not crash
    but shows a warning message.

[-] Change of DN window title is implemented more correctly.

[-] Disk image unpacker and UU-decoder set incorrect date and time to files
    in some cases.

[*] Improved interface of CD player.

[*] Extension of temporary batch files depends on operating system:
    CMD for WinNT and OS/2, BAT for DOS and Win9x.

    >>> Source codes usage features <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[!] Virtual Pascal compatibility.

[+] Implemented conditional symbol {$DEFINE MICRO}.

[-] Now DN will compile in BANK version.

[*] RegAll unit is rewritten: NumRElms counter removed.



   Version 3.7.0
  ---------------------------------------------------------------------

    >>> Compatibility issues <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] Now DN will try to delete file by its short name if unable to delete file
    by LFN (Eugeny Zvyagintzev).

[*] Function "Show server name/volume for network drives" now works with
    Novell Network clients (Max Vasilyev).

[*] "Free disk space" for \\server\share\ (under WinNT) is conditionally set
    as 2 Gb instead of 0 byte (Max Vasilyev).

[-] Drive type detection fixed (Max Vasilyev).

[-] Now DN will not re-read current drive after displaying "Change Drive" menu
    (Eugeny Zvyagintzev).

[-] Now DN correctly re-writes files under Windows XP on Novell Netware drives
    (Eugeny Zvyagintzev).

[-] Now DN correctly copies and shows files with size more than 2Gb
    (Eugeny Zvyagintzev).

[-] Now DN correctly performs "Quick Rename" of files on network drives mapped
    through "CD" command (Eugeny Zvyagintzev).

[-] Now DN correctly performs "CD" command on network drives
    (Eugeny Zvyagintzev).

[-] Now DN correctly re-reads information about file (Eugeny Zvyagintzev).

    >>> DN.INI parameters, setup and options <<<<<<<<<<<<<<<<<<<<<<<<<<

[!] Dialog layouts of "Interface Setup" and "New Manager Defaults" have been
    changed. Implemented possibility of more flexible settings for showing
    selected files and long file name on separator and on information panel
    (Evgeny Zvyagintzev).

[!] Parameter "ShowLongName" (section [FilePanels]) has been moved from DN.INI
    into DN Options panels (Jaroslaw Osadtchiy, Max Vasilyev).

[!] Attention! Use of parameter "ShowLongName" (section [FilePanels]) has been
    changed in DN.INI (Eugeny Zvyagintzev):
    ShowLongName = 0 - do not show LFN;
    ShowLongName = 1 - do not show LFN if it is not equal to short filename
                       (case insensitive);
    ShowLongName = 2 - show LFN if it is not equal to short file name
                       (case insensitive);
    ShowLongName = 3 - show LFN in any case;

[+] New variables have been added in DN.INI (section [FilePanels])
    (Eugeny Zvyagintzev):
    AlignLFNInBottom = 0 - centre LFN;
    AlignLFNInBottom = 1 - align LFN left;
    AlignLFNInBottom = 2 - align LFN right.
    LFNCutSide = 0 - show left part of LFN;
    LFNCutSide = 1 - show right part of LFN;
    LFNCutSide = 2 - show left part of LFN and file extension (if present).

[+] "QuickSearchType" (section [FilePanels]) setting is added to DN.INI. This
    option allows to complete file name mask (by pressing ".") in Quick search
    (Jaroslaw Osadtchiy, Max Vasilyev).

[+] Now option AltGrAsAlt (section [Kernel]) added to dn.ini
    (Eugeny Zvyagintzev):
    AltGrAsAlt = 0  AltGr and Alt are different;
    AltGrAsAlt = 1  AltGr and Alt are equal.

[+] Now option "DefCodePage" (section [Editor]) from "dn.ini" works in
    internal text viewer (Sergey Biryukov).

[+] Now DN can show time and speed of File Copy process. New variable
    "ShowCopyTime" (section [Interface]) added to DN.INI (Eugeny Zvyagintzev).

[*] When checking "ReuseViewers" (section [Editor]) rule/option, Quick View
    window is ignored (Sergey Biryukov).

[*] When opening files from "Edit History" the option "Internal Editor" is
    verified now (Sergey Biryukov).

[-] "VertScrollBarChars" (section [Interface]) parameter from "dn.ini" did not
    affect internal file viewer (Sergey Biryukov).

[-] "ReuseViewers" (section [Interface]) parameter from "dn.ini" was not used
    by internal viewer in viewing DBF files (Sergey Biryukov).

[-] "ReuseEditors" (section [Interface]) parameter from "dn.ini" was not used
    for opening files with internal editor (by <Ctrl-Enter> or from the "Open
    File" dialog box) (Sergey Biryukov).

[-] if "dn.ini" parameters ReuseEditors=0 and ReuseViewers=0 (section
    [Interface]) were set, then order of opened windows will not change with
    opening of other viewer or editor window with the file being already
    opened in editor or viewer window (Jaroslaw Osadtchiy).

[-] Fixed options "Store editor position" and "Store viewer position"
    (Sergey Biryukov).

[-] Not all editor options for a certain file were saved in history
    (Sergey Biryukov).

[-] Option "DefCodePage" (section [Editor]) from "dn.ini" had no effect on new
    files created (Sergey Biryukov).

[-] Now DN correctly performs "Sleep when inactive" function
    (Eugeny Zvyagintzev).

[-] The last position in dialog Options|Colors|Group was not preserved
    (Sergey Biryukov).

    >>> File manager <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[!] Added possibility to search files in archives (Jaroslaw Osadtchiy,
    Max Vasilyev).

[+] File selection/deselection <Grey+> and <Grey-> (in file selection dialog)
    with mask ending with "\" selects/deselects directories instead of files
    now (Jaroslaw Osadtchiy).

[+] Now it is possible to modify Quick Directories list in interactive mode
    (Eugeny Zvyagintzev).

[+] DN shows file size before file name in file panel if LFN has length of 250
    characters or more (Jaroslaw Osadtchiy, Max Vasilyev).

[+] Now DN will display warning if an attempt to delete current directory from
    history of directories is made (Eugeny Zvyagintzev).

[+] Now it is possible to skip all bad files during coping files
    (Eugeny Zvyagintzev).

[+] Now it is possible to show file description on bottom Information Panel
    (Jaroslaw Osadtchiy, Max Vasilyev).

[+] Switching (with <Ctrl-Y> hotkey) between current and full modes of showing
    files now works in archives as well (Pavel Borodin).

[+] Path to file is shown in archive on panels of search/branch (with
    <Ctrl-K>/<Alt-;> hotkeys) (Pavel Borodin).

[+] Now a file name is added to history of File Copy dialog also in case when
    there is an archive opened in passive file panel (Sergey Biryukov).

[+] Now when copying a directory its name is added to File Copy history
    (Sergey Biryukov).

[+] Now combinations <Alt-BackSpace>, <Alt-Shift-0>, <Ctrl-Shift-Alt-1...9>
    work on directory tree panel (Sergey Biryukov).

[+] It is possible to use combination <Ctrl-Shift-Del> on file panels to hide
    current file (Sergey Biryukov).

[+] Now when performing the "Quick Rename" operation in file panel a new name
    is added to history of copying/moving files (Sergey Biryukov).

[*] Settings check has been added In "Setup columns" dialog for situations
    when user enters more symbols for a file extension than for a file name.
    Similar checking routine has been added for similar modes in setup options
    (Sergey Biryukov).

[*] Changed look of short file name which is shown in archives
    (Sergey Biryukov).

[*] Now unselecting of selected files while packing in and extracting from
    archives occurs only when selected files do exist (Sergey Biryukov).

[*] Now the title of DN window in operations with file panel is refreshed only
    when it is necessary (Sergey Biryukov).

[*] Now DN performs "Append files" and "Verify writes" operations at copying
    files in more optimal way (Eugeny Zvyagintzev).

[*] Now DN is more flexible in showing the line of Quick Search on separator
    and information panel, and in accordance to long file name and settings of
    selected files display (Eugeny Zvyagintzev).

[*] Procedure of saving files (extracted from archives or after applying
    filters) to be opened in editor has been revised. Now, after restarting DN
    or after changing current language, DN asks for confirmation to save file
    and saves it if the file was saved before or editor window was closed. In
    addition, newer procedure allows to switch back to viewing the files after
    editing these files (Sergey Biryukov).

[*] Now size, description fields, as well as compression ratio in archives,
    are highlighted completely; the path field in file find panel now is also
    highlighted (Jaroslaw Osadtchiy, Max Vasilyev).

[*] Now archive, ARVID and list file panels respond to <Ctrl-\> hotkey
    correctly: exiting from file (archive, ARVID list or list file), and
    cursor bar is set on this file (Jaroslaw Osadtchiy, Max Vasilyev).

[*] "Associate File List" operation recognizes file names in list by the
    following pattern (Alexey Korop, Max Vasilyev):
    - if the first character is 'space' or ">" the whole line is ignored (this
      option added for multiline comments);
    - if the first character is ("), entire text is regarded as name up to
      closing bracket;
    - if the first character is none of the above - the whole line is regarded
      as name;
    - but if the file w/"name" not found and the line contains spaces, then
      text from beginning of line to the very first "space" is regarded as
      name;

[*] File List Panel could contain multiple names of the same files
    (Jaroslaw Osadtchiy, Max Vasilyev).

[*] Now File List ignores strings containinig wildcards "*" and "*.*"
    (Jaroslaw Osadtchiy, Max Vasilyev).

[*] In deleting files DN re-reads only directories where files were deleted
    (Alexei Kozlov).

[*] If filename mask is set on file panel, then this mask is shown on bottom
    information panel "as is", without "*." removed, which allows to avoid
    incorrect display of masks different from "*.ext" (Jaroslaw Osadtchiy).

[*] Now DN will put "CD directory" command in Command History more correctly
    (Eugeny Zvyagintzev).

[*] Title of "Copy File" window dialog was changed. Window title refresh will
    occur only with actual changes (Sergey Biryukov).

[*] File name was added to dialog history after copying/moving to "TEMP:"
    (Sergey Biryukov).

[*] If Directory History menu is called from "Search" panel or "TEMP:" cursor
    bar is set to source directory (Sergey Biryukov).

[*] Fixed and improved resizing of file panels with <Alt-Left/Right> and
    <Ctrl-M/Ctrl-Alt-Z> (Sergey Biryukov).

[*] Command "Window|Zoom" now works more correctly for file panels
    (Sergey Biryukov).

[*] Now DN will copy files correctly when "Check free disk space" option is
    selected and 1) insufficient free disk space detected and 2) file already
    exists and 3) file being copied can fit in space only by overwriting old
    file (Eugeny Zvyagintzev).

[*] Now DN will use LFN only if "Action" input field is empty when creating a
    file list (Eugeny Zvyagintzev).

[*] Now DN will terminate process of deleting directories much more faster
    (Eugeny Zvyagintzev).

[-] Quick search was not terminated by pressing "*" (Sergey Biryukov).

[-] After moving file to archive its description was not deleted
    (Sergey Biryukov).

[-] After copying a file into the same directory under new file name its
    description was deleted (Sergey Biryukov).

[-] Fixed errors occurring while adding strings to the history of file copying
    (Sergey Biryukov).

[-] Now DN will perform "Make list file" operation more accurately
    (Eugeny Zvyagintzev).

[-] Dos Navigator window title was not updated, if the File Search operation
    was stopped and then resumed (Sergey Biryukov).

[-] Maximized file panel in archive incorrectly showed the string containing
    information about size of compressed files and compression ratio. This
    string was not centered after maximizing file panel; and background of the
    element "Current file" overlapped this string (Sergey Biryukov).

[-] Fixed recent bug that had caused DN freeze in entering archive with
    Information panel open (Eugeny Zvyagintzev).

[-] Now "Quick View" can not be invoked from manager if current panel is
    Information panel (Sergey Biryukov).

[-] Now Viewer History for files in archive works correctly (Sergey Biryukov).

[-] Now Search Files with "DIR\*.*" mask works correctly (Sergey Biryukov).

[-] Directories History works correctly now with "\\server\share" path
    (Max Vasilyev).

[-] Pressing <Ctrl-E> could retrieve other than the last command from history
    (Sergey Biryukov).

[-] Info Divider was not always redrawn after pressing "Home" button
    (Sergey Biryukov).

[-] In Command History records (even those marked as protected) were deleted
    in case of overflow (Sergey Biryukov).

[-] Fixed error with copying descriptions of the same file (Sergey Biryukov).

[-] After viewing file from archive with an external filter, DN did not delete
    file (extracted from archive) from temporary directory (Sergey Biryukov).

[-] Fixed some bugs with viewing files in archives from File View History
    (Sergey Biryukov).

[-] Now in zoomed DOS ("User") screen the commands from command line history
    can be called with Shift-Up/Down keys (Sergey Biryukov).

[-] Now DN will display previous and next commands in command line more
    correctly (Eugeny Zvyagintzev).

[-] Now DN will not cancel process of copying files if it fails to read
    current file (Eugeny Zvyagintzev).

[-] Now DN will move file[s] more correctly (Eugeny Zvyagintzev).

[-] When cursor bar was moved to opposite panel by <Tab> key, list dividers
    between fields with information about current file had colour of file name
    (Jaroslaw Osadtchiy).

[-] The highlighting of size, date, time and description of selected files
    disappeared after switching to opposite panel (Jaroslaw Osadtchiy,
    Max Vasilyev).

[-] When files were renamed in File Search panel or TEMP panel the colour
    change did not occur whereas target files had different colour assigned
    (Jaroslaw Osadtchiy, Max Vasilyev).

[-] In "Quick File Rename" process in Search panel or TEMP panel DN sometimes
    showed false error messages (Jaroslaw Osadtchiy, Max Vasilyev).

[-] Directory changing (by <Alt-T>) from archive panel did not work correctly
    (Jaroslaw Osadtchiy).

[-] If current file panel displayed archive contents then, after an attempt to
    choose a deleted archive or file list from "Directory History" some errors
    occurred in the panel (Jaroslaw Osadtchiy, Max Vasilyev).

[-] In attempt to enter a deleted directory via "Directory History" DN moved
    to parent directory without any warning (Jaroslaw Osadtchiy,
    Max Vasilyev).

[-] After entering file list through "Directories History" current directory
    was not changed to directory containing the files from list. As a result,
    the list contained files NOT from its original directory, but from active
    directory at the moment of call (Jaroslaw Osadtchiy, Max Vasilyev).

[-] Pressing <Ctrl-\> hotkey in TEMP drive panel caused moving to root
    directory of the drive which was in current panel before TEMP drive
    (Jaroslaw Osadtchiy).

[-] Panels of File Search, List, and TEMP were not re-read (refreshed) upon
    pressing <Ctrl-R> (Jaroslaw Osadtchiy).

[-] Fixed some errors in Drag-n-Drop operations (Jaroslaw Osadtchiy,
    Max Vasilyev).

[-] Fixed errors that occurred during File Search in switching to "Find" panel
    (Jaroslaw Osadtchiy, Max Vasilyev).

[-] After file search (of files on disk) and after opening directory branch
    (of disk File Tree) sorting of new file list occurred twice
    (Jaroslaw Osadtchiy, Max Vasilyev).

[-] With some inappropriate column settings some malfunctioning and crashing
    of DN could occur (Jaroslaw Osadtchiy, Sergey Biryukov,
    Eugeny Zvyagintzev).

[-] Sometimes description files were marked/selected even if option "Always
    copy descriptions" was set active (Max Vasilyev).

[-] When viewing files from an archive, if the length of a command line for
    executing an archiver exceeds the limit value of 127 symbols, an error
    message is shown and abnormal termination of DN does not occur
    (Sergey Biryukov).

[-] Now DN changes current drive correctly (Eugeny Zvyagintzev).

[-] Now DN correctly re-reads directory while moving files
    (Eugeny Zvyagintzev).

[-] Now DN unselects files (removes selection tags/flags) upon returning files
    to Temp Drive (Eugeny Zvyagintzev).

[-] Now DN correctly copies directory name '..' to clipboard
    (Eugeny Zvyagintzev).

[-] Now DN correctly re-reads "File Find" Panels (Eugeny Zvyagintzev).

[-] Now information about selected files on Find File panel is not lost after
    viewing an archive with F3 (Sergey Biryukov).

[-] Now DN will set current file's position after file deletion more
    correctly (Eugeny Zvyagintzev).

[-] Fixed error that occured when calling help for the "Quick Rename"
    operation, leading to the situation when help window stayed in background
    after pressing Esc (Sergey Biryukov).

    >>> Editor and viewer <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] The selection pattern of File View modes was altered (Sergey Biryukov):
    -- internal Viewer is selected:
    <F3> toggles modes 1) special internal 2) specified in "dn.vwr" 3) text;
    -- internal Viewer is deselected:
    <F3> toggles modes 1) specified in "dn.vwr" 2) special internal 3) text;
    -- regardless of "Internal Viewer" option:
    <Alt+F3> selects mode as specified in dnalt.vwr;
    <Alt+Shift+F3> selects text mode only;
    "Special Internal" mode implies viewing database, spreadsheet and messages
    by internal DN tools.
    When file is opened for viewing from "File View" History, the mode that
    was used last is selected.

[+] New hotkeys added in DN editor (Sergey Biryukov):
    Ctrl-A, Ctrl-Numpad5 - select all text as continuous block;
    Ctrl-F               - show/hide selection;
    Ctrl-<               - select left word from cursor;
    Ctrl->               - select right word from cursor;
    Ctrl-Shift-Up        - select text from current line to beginning;
    Ctrl-Shift-Down      - select text from current line to the end.
    Operations previously assigned to hotkeys <Ctrl-A> and <Ctrl-F> are still
    available by using <Ctrl-ArrowLeft> and <Ctrl-ArrowRight> hotkeys.

[+] In history of the dialog "Save File As" for internal viewer and editor now
    a current file name is added (Sergey Biryukov).

[+] New hotkeys have been added to the editor (Sergey Biryukov):
    Ctrl-Up   - single-line scrolling up;
    Ctrl-Down - single-line scrolling down.
    Same navigation is possible by pressing <Up> and <Down> with "Scroll Lock"
    on. These functions differ from operations <Ctrl-W> and <Ctrl-Z> by the
    fact that cursor does not change its position on the screen if end or
    beginning of current file has not been reached.

[+] Pressing <Alt-Left> in editor shifts selected block to the left, pressing
    <Alt-Right> shifts selected block to the right. New hotkey combinations
    duplicate functions of <Ctrl-K-U> and <Ctrl-K-I> hotkeys
    (Sergey Biryukov).

[+] For sorting block in reverse order <Alt-Shift-T> hotkey combination is
    used now (made as synonym for <Ctrl-R> hotkey) (Sergey Biryukov).

[*] Interpretation of "StringFLAGS" keyword (in DN.HGL) has been improved,
    comments of DN.HGL file have been expanded and updated
    (Jaroslaw Osadtchiy).

[*] Fixed error that made cursor move by one position to the right at attempt
    to undo operations of changing character case (Sergey Biryukov).

[-] The scrollbar in viewer window did not work properly while viewing very
    large files (Jaroslaw Osadtchiy).

[-] RealMode version of DN crashed after "Sort Block" operation in internal
    editor (Sergey Biryukov).

[-] During search in DN internal viewer the word was not selected if it was in
    the last line of a file (Sergey Biryukov).

[-] Fixed error with calculating sum of block in editor (Sergey Biryukov).

[-] Fixed error in opening non-exiting file by an external editor
    (Sergey Biryukov).

[-] Now DN will correctly perform operations with selected block in editor:
    uppercase, lowercase, etc... (Eugeny Zvyagintzev).

[-] Now DN will scroll editor window (Ctrl-W, Ctrl-Z) more correctly
    (Eugeny Zvyagintzev).

[-] Now SmartTab works correctly when cursor is placed before space character
    in previous line (Eugeny Zvyagintzev).

[-] Now DN will initialize files highlight in file viewer more correctly
    (Eugeny Zvyagintzev).

[-] Cursor remained visible after switching view mode from DisAsm to text mode
    (Alexey Korop).

[-] Fixed DN crash at attempt to go to some address by pressing <F5> key while
    viewing file in disassembler mode (Jaroslaw Osadtchiy).

[-] Editing in hexadecimal mode of file viewer (in disassembler view) changed
    wrong bytes (other than those under cursor) (Jaroslaw Osadtchiy).

[-] Fixed error in editor that appeared at pressing <Esc> after sorting a text
    block (Sergey Biryukov).

[-] In internal viewer, when going back to first line its first symbol used to
    disappear (Sergey Biryukov).

[-] Fixed bugs with text selection (Eugeny Zvyagintzev, Sergey Biryukov).

[-] Now DN processes "AutoBrackets" option from Highlight Files configuration
    file (DN.HGL) (Eugeny Zvyagintzev).

[-] Fixed potential error while navigating in text viewer (Sergey Biryukov).

    >>> System Information <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] HDD detection procedure has been improved (Max Vasilyev).

[-] DN/DPMI displayed incorrect amount of 'memory for user' in 'Information
    Panel' (Max Vasilyev).

    >>> Database viewer <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[!] Now DBF viewer works with different code pages and XLT-files
    (Eugeny Zvyagintzev).

[+] Now it is possible to go to row or collumn in DBF viewer through dialog
    invoked by <F6> key (Eugeny Zvyagintzev).

[*] Now DN finds empty fields in DBF viewer if search string (input line) was
    empty (Eugeny Zvyagintzev).

[*] Now DN displays a warning dialog upon detecting errors in DBF header
    (Eugeny Zvyagintzev).

[*] Now DN correctly loads empty WKZ spreadsheet file (Eugeny Zvyagintzev).

[-] Fixed false warning of overflow in WKZ editor (Eugeny Zvyagintzev).

[-] Fixed DBF file detection (Eugeny Zvyagintzev).

[-] Now DN correctly displays empty memo fields created by Clipper
    (Eugeny Zvyagintzev).

[-] Restored option of WKZ editor to export WKZ file into text file
    (Eugeny Zvyagintzev).

[-] Now DN updates menu of WKZ editor if active language was changed by
    <Alt+F12> key while viewing WKZ file (Eugeny Zvyagintzev).

[-] Spreadsheet editor did not correct addresses in formulas after
    inserting/deleting empty rows/columns or pasting cell contents from
    clipboard (Alexey Korop).

[-] Now DN correctly writes history of viewing WKZ files from archives
    (Eugeny Zvyagintzev).

[-] Now DN erases temporary files after viewing WKZ files from archive
    (Eugeny Zvyagintzev).

[-] Now DN uses history of viewing DBF files more correctly
    (Eugeny Zvyagintzev).

[-] Now DN correctly performs auto calculation of formulas when symbol ","
    used (Eugeny Zvyagintzev).

[-] Restored usage of ":" symbol in formulas (Eugeny Zvyagintzev).

[-] Fixed 100% CPU load that occurred in resizing WKZ spreadsheet column
    (Alexey Korop).

[-] Now DN deletes rows and columns in WKZ editor more correctly
    (Eugeny Zvyagintzev).

[-] Now DN correctly performs SUM and MUL calculations with multiple operators
    (Eugeny Zvyagintzev).

[-] Now DN correctly performs auto update of linked cells containing SUM and
    MUL functions with multiple operators (Eugeny Zvyagintzev).

[-] Now DN correctly performs auto update of linked cells after an error
    occurring in previous calculation (Eugeny Zvyagintzev).

[-] Now DN allows to exit from cell editing mode by pressing <Esc>. Previous
    value of cell will be restored (Eugeny Zvyagintzev).

[-] Now DN does not save WKZ contents in dn.dsk (Eugeny Zvyagintzev).

[-] Now DN uses only two operands in formulas like =SUM(a1,d1)
    (Eugeny Zvyagintzev).

[-] Now DN replaces values in WKZ editor more correctly (Eugeny Zvyagintzev).

[-] While searching DBF file in viewer DN did not find data if they were in
    current line only (Sergey Biryukov).

[-] Now DN correctly searches data in DBF viewer (Eugeny Zvyagintzev).

[-] Now DN updates DBF viewer if country settings were changed
    (Eugeny Zvyagintzev).

[-] Now DN performs text search in DBF viewer more correctly
    (Eugeny Zvyagintzev).

[-] Now DN detects DBF file structure more correctly.
    Strange character fields C(10,3) are detected just as they are described
    in header - at first structure detection.
    Then length of entire record is calculated. If the length of calculated
    record length does not match header record length, then the length of
    character fields will be calculated as 10+3*256=778 (Eugeny Zvyagintzev).

[-] Now indicator in DBF viewer is displayed correctly (Eugeny Zvyagintzev).

[-] Now DN will remember Find Text dialog settings in DBF viewer and WKZ
    editor (Eugeny Zvyagintzev).

    >>> Archivers <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] Added OS/2 fixpack diskimage unpacking (Max Vasilyev).

[*] Arvid's streamer TDR file, Package for the WEB (CAB-sfx), WinZIP SFX and
    ACE SFX archives detection improved (Max Vasilyev).

[*] Now DN passes long or short archive name to an archive unpacker in
    accordance to parameter "Use Long File Names" set in archiver options
    (Jaroslaw Osadtchiy, Max Vasilyev).

[*] Unpacking of DDI diskimages (Max Vasilyev).

[*] Now ACE archiver is set to "Use long names" by default (Max Vasilyev).

[*] ARJ archiver settings (be default) were changed for better compatibility
    with LFN operations (newer ARJ archiver release may be required)
    (Max Vasilyev).

[*] Now archivers are called by 'NAME' instead of 'NAME.EXE' (Max Vasilyev).

[*] If passwords do not match when creating protected archive an appropriate
    message is displayed (Sergey Biryukov).

[-] Fixed error occurring in attempt to make or extract an archive with a
    password containing spaces (Sergey Biryukov).

[-] More strict processing of ARJ, RAR, ZIP and GZIP archives (Max Vasilyev).

[-] Processing of RAR archives created under Unix (Max Vasilyev).

[-] Fixed problem with viewing files that contained 2 spaces in names - from
    archive (Max Vasilyev).

[-] Fixed cursor re-positioning at entering/leaving archives enclosed in
    another archive volume (Max Vasilyev).

[-] Fixed work with file descriptions inside AVT/TDR (Max Vasilyev).

[-] DN crashed in attempt to read AVT/TDR (Max Vasilyev).

[-] AnyFile.gz.rar contents were not shown properly in some cases
    (Max Vasilyev).

[-] Diskette images unpacker was unable to process more than 16 files
    correctly in some cases (Max Vasilyev).

    >>> Calculator <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] Now all functions, except construction IF(...,...,...), can receive
    parameters without brackets (Sergey Biryukov).

[+] It is possible to write n! instead of fact(n) function for calculating
    factorial of a number in calculator. However function "fact(n)" also works
    as before (Sergey Biryukov).

[+] Added new function "dfact(n)" (and similar/shorter notation "n!!")
    calculating value of double factorial of number n (Sergey Biryukov).

[+] In order to keep meaning of operation "!=" and to accommodate two
    innovations (factorial functions "n!" and "n!!"), newer syntax has been
    introduced (Sergey Biryukov):
    n!=m    corresponds to n<>m;
    n!!=m   corresponds to n!<>m;
    n!!!=m  corresponds to n!!<>m.
    For more obvious interpretation, one can use brackets, for example,
    (n!)!=m.

[+] Now pressing "Evaluate" button in calculator performs conversion of
    number in the input line to selected form (Sergey Biryukov,
    Eugeny Zvyagintzev).

[+] Now calculator can be called from any input line as a modal window.
    "Evaluate" button will calculate expression and return result to input
    line (Eugeny Zvyagintzev, Sergey Biryukov).

[*] Now the main menu can be called from calculator (Sergey Biryukov).

[*] Algorythm of detecting repetetive operations and missing arguments was
    rewritten and optimized. Some errors occurring in analysis of unary
    operations were fixed. Operations with negative degrees were fixed.
    (Sergey Biryukov).

[-] Detection of missing operation sign and exponential form of the number was
    improved (Sergey Biryukov).

[-] Fixed XOR function (Sergey Biryukov).

[-] Precision of calculations is increased. Work of unary minus was fixed.
    Also number "ch" is recognized more correctly now (Sergey Biryukov).

[-] Fixed error leading to incorrect output of some calculator results in
    decimal system (Sergey Biryukov).

[-] Fixed DN crash that occurred at entering large numbers in binary, octal
    and hexadecimal scales of notation (Sergey Biryukov).

    >>> Terminal <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Fixed error that prevented re-activation of already opened terminal window
    (Sergey Biryukov).

[-] Temporably DN does not compress packets in Navigator Link
    (Eugeny Zvyagintzev).

    >>> Miscellanous <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] Directories sorting speed is slightly increased in DN/DPMI (Max Vasilyev).

[+] Now it is possible to switch from displaying directory name in command
    line to displaying first 3 characters (drive letter only) by mouse double
    click or by pressing Ctrl-< and Ctrl-> (Eugeny Zvyagintzev).

[+] Now in all histories <Alt-Up> and <Alt-Down> hotkeys are used for moving
    to a nearest undeletable item in selected direction (Alexey Korop,
    Sergey Biryukov).

[+] Now at setting up advanced parameters of formatting diskettes an
    appropriate item in Disk Capacity menu is selected automatically
    (Sergey Biryukov).

[+] New hotkeys have been added to operations in Input Line
    (Eugeny Zvyagintzev, Sergey Biryukov):
    Ctrl+Q D - insert date;
    Ctrl+Q T - insert time;
    Ctrl+Q Y - delete text from cursor to end;
    Ctrl+<   - select word from cursor to left;
    Ctrl+>   - select word from cursor to right.

[*] Now changing current language affects opened calculator window and Tetris
    Game window (Sergey Biryukov, Eugeny Zvyagintzev).

[*] Optimized processes of moving of items in Directory, Viewer, Editor and
    Command histories (with hotkeys <Shift-Up> and <Shift-Down>)
    (Alexey Korop, Sergey Biryukov).

[*] Now position of File Extention Filter panel (invoked by <Alt-BS>) is not
    stored, and Window always opens in centre (Alexey Korop).

[*] The size of help window now depends on video mode (Jaroslaw Osadtchiy).

[*] "@echo off" string will not be added into temporary batch files, if the
    first string of these files begins with "\*" or "#" (i.e. REXX and Perl
    scripts) (Jaroslaw Osadtchiy).

[*] Now keys <Ins> and <Del> work correctly in the environment variables
    editor, and functions of "insert" and "delete" were moved to keys
    <Alt-Ins> and <Alt-Del> (Ilya Malanyin).

[*] Changed logic of adding the string with date and time in SmartPad Editor
    (Sergey Biryukov).

[*] DnError utility: compatibility with OS/2 VDM (Max Vasilyev).

[*] Now "Make list file" and "Read file list" operations interface is
    improved (Eugeny Zvyagintzev).

[*] Now DN will terminate dragging or resizing windows on pressing Esc key
    (Eugeny Zvyagintzev).

[-] Now DN will quit correctly when Disk Editor is running
    (Eugeny Zvyagintzev).

[-] Now macroses !: #: $: &: work correctly on empty or network drives
    (Eugeny Zvyagintzev).

[-] Now macroses '#' and '&' work correctly on element '..'
    (Eugeny Zvyagintzev).

[-] DN did not save "dn.err" when it was run from a directory with a long name
    (Sergey Biryukov).

[-] If command string used in command line was too long, DN closed without any
    warnings (Sergey Biryukov).

[-] "Help" windows for all functions of CD Player are shown correctly now
    (Sergey Biryukov).

[-] Now DN shows "Drive Access Error" message more correctly
    (Eugeny Zvyagintzev).

[-] DN window title was not always updated after closing Help Window
    (Sergey Biryukov).

[-] Now <Ctrl-\> works correctly in dialogs (Eugeny Zvyagintzev).

[-] Restored range of options of floppy disk formatting (Sergey Biryukov).

[-] Fixed removal of nested archives from TEMP on exit from DN
    (Sergey Biryukov).

[-] Now DN wait for <Del> key to be released after command line was cleared
    (Eugeny Zvyagintzev).

[-] Fixed error occurring when "\" pressed on Directory tree after quick
    search (Sergey Biryukov).

[-] Now DN displays messages directly on screen if Desktop does not exist at
    DN startup (Eugeny Zvyagintzev).

[-] Now DNERROR uses "swap file" instead of using memory (Eugeny Zvyagintzev).

[-] Menu items "Panel" => "Re-read", "Window" => "Next similar",
    "Prev similar", "Next different", "Prev different" were not disabled even
    when actions corresponding to them were not possible (Jaroslaw Osadtchiy).

[-] Fixed bug occurring at UUE-decoding of multiple files (Alexey Korop).

[-] '#0' symbols were shown in progression indicators instead of spaces
    (Jaroslaw Osadtchiy).

[-] When moving between CD Player buttons by <Tab> and <Shift-Tab> hotkeys,
    only visible (active) buttons are used (Sergey Biryukov).

[-] After closing all windows, DN still kept a window title of last window or
    dialog (Sergey Biryukov).

[-] Now selected text is overwritten with "Insert Date" or "Insert Time"
    operations (Eugeny Zvyagintzev).

[-] During the process of UU-coding files in case some sections already exist
    skipping one section cancelled the whole process (Sergey Biryukov).

[-] When UU-coding only one section and rewriting of existing file was chosen,
    the question about rewriting appeared twice (Sergey Biryukov).

[-] Now DN will perform quick file searching in File Open Dialogs correctly
    (Eugeny Zvyagintzev).

[-] Now DN will load current file from dn.dsk more correctly
    (Eugeny Zvyagintzev).

[-] Now DN works with "2" and "8" keys on KeyPad more correctly
    (Eugeny Zvyagintzev).

[-] Fixed crash of CD player when working under Windows XP (Sergey Biryukov,
    Eugeny Zvyagintzev).

    >>> Source codes usage features <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Small internal optimization of LFN module (Max Vasilyev).

[*] Now TObject has additional field which allows to define the type of object
    made from it. Procedure of identifying a type of current window when
    invoking Help window has been changed to accommodate this feature
    (Sergey Biryukov).

[-] Now work with clipboard are changed in dialogs: use procedures from
    dnutil2.pas GetFromClip and PutInClip (Eugeny Zvyagintzev).

[-] uFnMatch.FnMatchFunc (aka "Is filename matches mask") function fixed for
    DOS style "AnyFile" mask (aka "*.*") (Max Vasilyev).

[-] Nameless files ".jpg" report ".jpg" as extension now (Max Vasilyev).

[-] Memory leak in collections has been fixed (Eugeny Zvyagintzev).

[-] Fixed memory leak which occurred while working with tree panel
    (Alexey Korop, Sergey Biryukov).

[-] Small memory leak fixed in CallUuDecode (Alexey Korop).


   Version 2.7.0
  ---------------------------------------------------------------------

    >>> Compatibility issues <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Fixed problem with detection of free space, creation and deletion of
    directories on network drives (Max Vasilyev).

[-] IOmega Bernoully detection removed because it needed to read the disk for
    proper detection (Max Vasilyev).

    >>> DN.INI parameters, setup and options <<<<<<<<<<<<<<<<<<<<<<<<<<

[+] New <Ctrl-A> hotkey added to call current file properties dialog
    (Pavel Borodin).

[+] Hotkeys <Shift-F5>/<Shift-F6> now invokes commands to copy/move
    current file. Hotkey for "Split/Combine" functions assigned to
    <Ctrl-Alt-F5> and "Reanimator" hotkey assigned to <Ctrl-Alt-F8>
    (Pavel Borodin).

[*] Useless "CapitalCodePageName" option removed from DN.INI (Max Vasilyev).

[-] DOS ("User") screen did not show by pressing <Esc> if "command line"
    option was disabled in file manager (Eugeny Zvyagintzev).

    >>> File manager <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Now DN correctly adjusts viewer & editor windows sizes in accordance
    to current desktop size (Eugeny Zvyagintzev).

[-] Fixed bug (first appeared in DN 2.3.0 release) which had resulted
    on loss of current file position on file panel (Eugeny Zvyagintzev).

[-] Navigation in file panel with <Left> and <Right> buttons did not work
    when column width was equal to (or one char less than) current panel
    width (Pavel Borodin).

[-] Now DN does not ask for overwrite file confirmation if
    "Accept choice for all files" was selected and "Rename" button pressed
    (Eugeny Zvyagintzev).

[+] Now DN saves "SmartPad" edit history (Eugeny Zvyagintzev).

[*] Now DN correctly deletes folders marked as "Read-Only"
    (Eugeny Zvyagintzev).

[*] When viewed with external filter, and after filtering, a file is also
    processed by internal DN viewer and external viewers specified in DN.VWR.
    External filtering feature works as "F3 View" now (Max Vasilyev).

[+] "File Find" process (with text string search) can be terminated at any
    moment; and current file can be skipped as well (Eugeny Zvyagintzev).

[-] Filenames got invalid name case after copying with <Ctrl-Ins>
    (Max Vasilyev).

[-] DN did not switch to next or previous window (by pressing <F9> or
    <Shift-F9>) during "Find File" process, if current DN language
    was Russian (Eugeny Zvyagintzev).

[+] Now hotkeys <Ctrl-K> and <Alt-;> toggle show of current file path
    in file manager panels (Pavel Borodin, Max Vasilyev).

[*] Now DN displays correct number of files moved with mouse
    (drag-and-drop) from "total info" panel (Eugeny Zvyagintzev).

[+] If specified TEMP directories do not exist at DN startup, DN uses own
    directory for temporary files (Eugeny Zvyagintzev).

[-] Switch-over between current and full column display modes
    (by pressing <Ctrl-Y>) in "FIND" or "TEMP" file panels now works
    correctly (Pavel Borodin).

[*] Now "Find Files" window can not be closed through DN Windows Manager
    (Eugeny Zvyagintzev).

[-] Folding/unfolding of Directory Tree branches with mouse clicks did not
    work (Jaroslaw Osadtchiy).

[*] Now DN saves current directory for both active and inactive panels
    through menu "Save Desktop" (Eugeny Zvyagintzev).

[-] Now DN correctly shows maximized File Panel shadow (Eugeny Zvyagintzev).

[*] In scrolling file panel with mouse (except selected block), cursor now
    jumps to first filename in file list of next page (Alexey Korop).

[+] Directory History now works correctly with "\\server\share"
    (Max Vasilyev).

[-] If Directory History contained only 2 records (where upper record in
    the list is always current and indelible) then deletion of second record
    caused cursor to freeze in the list (without shifting to remaining
    record) (Sergey Biryukov).

[-] Fixed incorrect operation of copying and moving directory if target was
    directory name with dot at the end (Sergey Biryukov).

    >>> Editor and viewer <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] Now "Text to Find" operation in editor can be terminated at any moment
    (Eugeny Zvyagintzev).

[-] Sum of selected block was not calculated correctly if selection contained
    empty lines (Eugeny Zvyagintzev).

    >>> Database viewer <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] History of viewing DBF files is saved correctly now (Eugeny Zvyagintzev).

[*] Text search option in viewing WKZ and DBF files is the same as in DN
    text file editor and viewer (Eugeny Zvyagintzev).

[+] <Alt-W> hotkey now changes current column width in WKZ editor
    (Pavel Borodin).

[-] DN crashed in attempt to re-open DBF file if number of fields of DBF
    file had been changed (by another program) since the last access to this
    file within DN, and with the last field active (Eugeny Zvyagintzev).

[-] Long fields are shown correctly in viewing DBF files (Eugeny
    Zvyagintzev).

[-] DN crashed in attempt to view DBF file with a field of 255 chars long
    erroneously taken for "memo" field (Eugeny Zvyagintzev).

[-] DN crashed at startup if DN had been closed before with DBF file opened
    for viewing (Eugeny Zvyagintzev).

[-] DN crashed when overflow occurred during WKZ cell calculations
    (Eugeny Zvyagintzev).

[*] Correct performance of command "Go to cell number [...]" in WKZ editor
    (Eugeny Zvyagintzev).

[*] Detection of damaged DBF file header (Eugeny Zvyagintzev).

[+] Now DN can import comma-separated value (CSV) and dBase (DBF) files in
    WKZ editor (Kirill Vodonosov, Eugeny Zvyagintzev, Max Vasilyev).

[+] Now DN can export files from WKZ editor to comma-separated value (CSV)
    and dBase (DBF) files (Kirill Vodonosov, Eugeny Zvyagintzev, Max
    Vasilyev).

[-] DN crashed in attempt to open any file via WKZ editor (Eugeny
    Zvyagintzev).

    >>> Archivers <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Operations with GZip archives are now done with external utilities.
    It's not necessary to have TAR archive inside GZip (Max Vasilyev).

[+] Reading Speed of ZIP archives is considerably increased (Max Vasilyev,
    Jaroslaw Osadtchiy).

[+] Now DN can work with multiple ZIP archive volumes. Last diskette
    (volume) of this archive should be accessible for correct DN operation
    (Max Vasilyev).

[-] DN froze in attempt to view RAR 3.0 archives with encrypted headers.
    Now DN shows RAR 3.0 archives with encrypted headers as empty archives
    (Max Vasilyev, Jaroslaw Osadtchiy).

[-] Few corrections in ZIP and GZ archive detection (Max Vasilyev).

    >>> Calculator <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Fixed the following errors:
    a) incorrect calculations of 10^31, 10^34 ¨ 10^35 in "DEC";
    b) incorrect calculations of 10 with number degree more than 40 and
       aliqout 10;
    c) changing number to exponent view added blank space at beggining;

    Lower limit for automatic conversion of decimal number to exponent view
    now changed (Sergey Biryukov).

[+] More flexible mechanism of error processing implemented in calculator.
    Input expression syntax is analyzed before calculation; any error
    detected in calculations invokes an appropriate error message
    (Sergey Biryukov).

[-] Fixed functions DIV, MOD, COSEC, ARCCOTAN, ARCCOSEC and operations
    <=, >=, <>, !=. Power function works more correctly (Sergey Biryukov).

    >>> Terminal <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Fixed incorrect hotkeys in Terminal buffer operations (Pavel Borodin).

    >>> Miscellanous <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] Double pressing of <F10> in Disk Editor moves active cursor bar to main
    menu (Pavel Borodin, Eugeny Zvyagintzev).

[*] "Help" system works correctly now (Eugeny Zvyagintzev).

[-] "Help" window shows correctly during file copying (Eugeny Zvyagintzev).

[-] "Help" windows for CD player options and Floppy Formatter shows correctly
    (Sergey Biryukov).

[-] "Help" was not accessible at first startup with non-English resources
    (Max Vasilyev).

[*] Now <Ctrl-/> and <Ctrl-\> keys combinations work in Dialogs the same
    way as in File Editor (Eugeny Zvyagintzev).


   Version 2.3.0
  ---------------------------------------------------------------------

[+] DN versions obtain their number by date (Year-2000).(month).(day)
    (Max Vasilyev).

[-] 100% load of processor in operatiing under W2K and NT is partially
    fixed (Kirill Vodonosov).

[!] new template.txt

    >>> DN.INI parameters, setup and options <<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Newly created DN.INI did not contain values of String type (Pawel
    Ziemian).

[+] New hotkeys in "Screen grabber" (Oleg Antoshkiv):
    Shift-End  Ä to expand selection to the right screen border;
    Shift-Home Ä to expand selection to the left screen border;
    Shift-PgUp Ä to expand selection to the upper screen border;
    Shift-PgDn Ä to expand selection to the lower screen border.

[*] Hotkeys assignments is brought to general style. In Russian
    resources "Alt-M" hotkey for calling memory information is added,
    status line descriptions are sorted for more convenient editing.
    Setting up DOS Navigator help window colors now is made possible via
    dialog. Calendar colors setup is moved to the end of the list
    (Pavel Borodin).

    >>> File manager <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] 'Format disk' function works again in DN/RealMode (Max Vasilyev).

[-] In copying to some system devices (such as CD-RW under RSJ, OS/2) file
    manager requested false confirmation to rewrite file. After negative
    answer file manager created a file of 0 size on output device
    (Alexey Korop).

[*] Now DN will check if file exists before reading file into buffer
    (Eugeny Zvyagintzev).

[*] Now DN will display error message in attempt to move file to itself
    (Eugeny Zvyagintzev).

[*] Now file's number in "File Search Panel" is shown correctly
    (Eugeny Zvyagintzev).

[+] COPY/MOVE current file operation is added to "File" menu. Before that
    it was possible to do only by mouse drag-and-drop of current file info.
    Final decision about assigning <Shift-F5/F6> hotkeys to these operations
    are yet to be made (Pavel Borodin).

[*] Now DN windows manager shows window titles of DBF viewer and spreadsheet
    editor correctly (Pavel Borodin).

[*] Now DN loads desktop size more correctly (Eugeny Zvyagintzev).

[*] Now DN can process PGDN key pressing at the first line of User Menu
    (Eugeny Zvyagintzev).

[*] Now DN's command line is more comfortable... Again. As it was in original
    DN 1.51 by RitLabs (Eugeny Zvyagintzev).

[-] DN crashed after deleting all files from archive (Eugeny Zvyagintzev).

[-] DN crashed during start-up if the archive file (which was opened in file
    manager when DN exited previous session) did not exist anymore
    (Eugeny Zvyagintzev).

[-] DN crashed after two attempts to move a file with mouse if this file
    already existed in target panel and option "SKIP" was chosen in
    overwrite CONFIRM dialog (Eugeny Zvyagintzev).

[*] Now logic of moving files with mouse 'drag-and-drop' to DRIVE LINE is
    the same as for standard procedure of moving files (Eugeny Zvyagintzev).

[*] Now DN does not VERIFY DISK WRITES and does not CHECK FREE DISK SPACE
    in coping to "PRN" or "NUL" devices (Eugeny Zvyagintzev).

[-] DN crashed at attempt to start an external program if one of DN file
    manager panels was "FIND:" panel or file LIST (Eugeny Zvyagintzev).

[-] Fixed potential bugs in different file operations in DN file manager
    (Eugeny Zvyagintzev).

    >>> Editor and viewer <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Sometimes DOS Navigator did not delete files from %TEMP% after
    viewing (Max Vasilyev).

[-] While executing "Replace all" operation with confirmation after "Cancel",
    the editor did not display the message about the number of the replaces
    made (Alexey Korop).

[*] Now sorting text block in the editor does not sort/permute lines with
    equal keys (Alexey Korop).

[-] In editing a 'Read Only' file (with "File Lock" option active), the
    following sequence: "Save" file (F2), negative answer to request to
    overwrite file ("Cancel"), "Save" file (F2) again - caused DN crash
    (Alexey Korop).

[-] Now changing File Name Case is ignored when saved in history
    (Eugeny Zvyagintzev).

[*] Now hotkey <Alt-F7> invokes BACKWARD SEARCH in viewer just as in
    editor. Function of hotkey <Ctrl-F7> has not been changed
    (Pavel Borodin).

[-] Now DN more correctly performs selected block calculate
    (Eugeny Zvyagintzev).

    >>> System Information <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] AMD Duron and Intel Pentium 4 processors detection (Max Vysokikh).

    >>> Database viewer <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] File with .DBF extension (but not database file in fact) was not opened
    for viewing at all (only by Alt-F3). The repeated viewing of same DBF and
    WKZ files did not restore the cursor and window positions
    (Eugeny Zvyagintzev).

[-] Now DBF and WKZ files are correctly shown in history
    (Eugeny Zvyagintzev).

[-] Now horizontal scrollbar does not overlap bottom-right window corner
    (Eugeny Zvyagintzev).

[-] Internal viewer is not invoked after viewing empty DBF files
    (Eugeny Zvyagintzev).

[+] Now DBF viewer shows the type and the size of current field
    (Eugeny Zvyagintzev).

[*] Now horizontal scrollbar size in DBF viewer is the same as horizontal
    scrollbar size in editor (Eugeny Zvyagintzev).

    >>> Archivers <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] RAR 3.0 SFX detection (Max Vasilyev).

[*] Operations with archivers optimized, fixed bugs in processing some types
    of archives (Max Vasilyev).

[*] Now changing an archiver parameters does not set this archiver as default
    for archiving operations (Pavel Borodin).

[-] After moving/copying file into archive DN changed default archiver
    setting to one which archive was used to copy/move files into
    (Pavel Borodin).

[*] Now DN will more correctly archiving files. If single file choosen to
    create archive then DN will use long or short name of this file for
    archive file's name. It's depends on current Files Panel settings:
    Show Long File Name (Eugeny Zvyagintzev).

    >>> Source codes usage features <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Process of copying documentation files into "OUT" (during compilation)
    is now restored (Alexey Nemytov).


   Version 2.0.0
  ---------------------------------------------------------------------

[!] Fixed occasional files deleting, hanging at file operations, 'missing'
    files in file panels, improved Novell Netware compatibility. Changes
    information added to the source codes.

    >>> Compatibility issues <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Fixed bug caused DOS Navigator could not work with empty catalogs in
    Novell disks from DOS (Max Vasilyev).

[-] Changed time sharing system in multitasking environments (removed
    EnterCriticalSection and LeaveCriticalSection) (Max Vasilyev).

    >>> DN.INI parameters, setup and options <<<<<<<<<<<<<<<<<<<<<<<<<<

[+] New DN.INI parameter: HistoryButtonChars = string[4], (section
    [Interface]). In this case displaying the history button in dialogs will
    use a limited chars set (like PoorFrames parameter) (Pawel Ziemian).

[+] New DN.INI parameter: SundayFirst = byte (section [Calendar]).
    Value 1 defines Sunday as the first day of week, 0 defines as the last
    one. Value 2 defines automatic detection of this parameter (default)
    (Max Vasilyev).

[+] Added new filenames display mode. Set in menu Options -> File
    Manager -> Column defaults -> (any item) -> Automatic detection.
    The case of filenames in panels is defined so:
    1. If there are letters of one case IN.a.name.BETWEEN.TWO.points,
       then the files names are lowercased, and catalogs names are
       uppercased.
    2. If there are letters of different cases in.a.Name, then it is
       displayed as is.
    This displaying mode formerly was set only in the source codes by
    specifying {$DEFINE COMBINE_MIXED} (Max Vasilyev).

[*] Removed intersected hotkeys in archiving dialog. Some corrections in
    search and replace dialogs in the editor and viewer. Added calling help
    for files columns options dialogs. Added Ctrl-M hotkey for zooming
    window. Added IniFile topic, describing DN.INI structure, to English help
    files. (Pavel Borodin, Max Vasilyev).

    >>> File manager <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] Added mode of sorting files by descriptions (Jaroslaw Osadtchiy).

[*] Now Ctrl-N hotkey is used for toggling long and short names display in
    file panel and Ctrl-Alt-N hotkey is used for network information display
    (Jaroslaw Osadtchiy).

[*] Option for sorting archives before executables in panels added to panel
    options (Jaroslaw Osadtchiy).

[*] If HandleChDirCommand=1 used, the catalog name in CD command will be
    automatically transformed into long. CD /? command is now passed to
    processing by the operation system (Max Vasilyev).

[*] Changed function of hotkey Ctrl-Y: Now it serves for toggling between
    the current (but not only the first one as formerly) and the second (full
    by default) modes of file panels columns (Jaroslaw Osadtchiy).

[*] Now hotkey Shift-Del (for deleting a single file) in file panel does not
    work while '[ ] DEL erases file(s)' in File Manager options is off
    (Jaroslaw Osadtchiy).

[*] Now wildcards like '*.' and 'xxx*.' are interpreted as wildcards of files
    without extensions while searching by a filter and in a file panel filter
    (Jaroslaw Osadtchiy).

[*] The file panel filter correctly accepts (and processes) wildcards with
    extensions exceeding 3 chars length if such files exist
    (Jaroslaw Osadtchiy).

[*] The file panel filter works via long filenames in the long filenames
    displaying mode and via short ones in the short filenames displaying mode
    (Jaroslaw Osadtchiy).

[-] Fixed processing cases of unsuccessful moving files to another disk
    (Aleksej Kozlov).

[-] Fixed processing hotkeys Ctrl(+Alt)(+Shift)+Enter (Max Vasilyev).

[-] Now element '..' cannot be deleted by Ctrl-Del (Jaroslaw Osadtchiy).

[-] Fixed bug caused impossibility of comparing catalogs using all the
    4 comparison criteria simultaneously (Jaroslaw Osadtchiy).

[-] Fixed hanging while viewing catalogs tree. Minor changes in the tree
    displaying: Now catalogs names are not edged with zero chars (which are
    often seen as vile small dots or something worse), now all catalogs of
    one level display aligned by one vertical line not depending on the
    catalogs presence in them (Jaroslaw Osadtchiy).

[-] Fixed bug caused that deleting the zeroth element (current catalog) of
    the catalogs history passed to the history element of the number smaller
    than the selected one by 1 (and selecting the zeroth element simply
    passed to the current catalog) (Alexey Korop).

[-] Not all files displayed in some sorting modes (Max Vasilyev).

[-] Fixed copying catalogs descriptions containing a point in their
    names (Max Vasilyev).

    >>> Editor and viewer <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Fixed back search in view (Marcin Meinardi).

[-] Fixed hanging when changing xlt-table in view (Alexey Korop).

[-] Fixed bug caused going to a bookmark by mouse was impossible if there are
    no the bookmark of the number smaller by 1 (Alexey Korop).

[-] Formerly '!\!.!' wildcards data for viewers, editors and launching by
    extension were transferred in a wrong case. Irrespective of the real one,
    the catalog was uppercase and the filename was lowercase causing problems
    with Java (Aleksej Kozlov).

[-] Fixed functioning of Undo/Redo after saving a file in the editor
    (Max Vasilyev).

    >>> Database viewer <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Fixed databases identification (Max Vasilyev).

    >>> Archivers <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Operations with archivers optimized, fixed bugs in processing some
    types of archivers and also processing archivers without extensions
    (Max Vasilyev).

[-] Fixed archive reading process indication (Max Vasilyev).

    >>> System Information <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Changed detecting hard disks of large sizes (more than 8 Gb)
    (Max Morozov, Max Vasilyev).

    >>> Calculator <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] Values may be entered in scientific form <a>E+<b>, <a>E-<b>
    (Pavel Anufrikov).

[+] Added support of logic functions && and || (Max Morozov).

[*] In calculator entering values of bases 16, 8 and 2 interpreted as
    signless, ie. entering value 0xFFFFFFFF displays not Overflow but
    0xFFFFFFFF in HEX line. Also it works correctly with negative values
    like -0xF8000001 (Max Morozov).

[-] Fixed executing functions OR and XOR (Max Morozov).

    >>> Miscellanous <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] Calendar is completely rewritten. See the detailed information in
    the help chapter about Calendar (Pawel Ziemian).

[-] Fixed program crash after a message about COM port cannot be found
    when opening the terminal window (Max Morozov).

[-] Fixed program crash while copying files (Pawel Ziemian).

[-] Being installed 'from scratch' DOS Navigator could not be launched
    without its English resources (Max Vasilyev).

[-] Fixed bug caused occasional deleting files (Jaroslaw Osadtchiy).

[-] Fixed hanging and occasional creating files in some computers
    (Marcin Meinardi).

    >>> Source codes usage features <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] {$DEFINE COMBINE_MIXED} moved from the source codes to the panel options
    (Max Vasilyev).

[-] Fixed the processors detection library compilation (Max Vasilyev).

[-] Now AsyncPro library may be used in source codes (Max Vasilyev).

[-] Fixed 'broken' possibility of compiling with included PKTVIEW
    (Pavel Borodin).

[!] Changes information added to the source codes.
    It is filled by the COORDINATOR only!


   Version 1.6.RC1 (Release Candidate 1)
  ---------------------------------------------------------------------

    >>> File manager <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Files containing descriptions (descript.ion, file_id.diz) are no more
    excluded from the group selection in Archive, Navigator Link and Arvid
    panels (Jaroslaw Osadtchiy)

[*] Files with both Hidden and System attributes set are now marked with a
    hash character different from those for files with Hidden attribute alone
    and System attribute alone (Pavel Anufrikov)

[-] Destination wildcards containing two '*' signs were handled incorreclty
    when copying, moving and renaming (Pavel Anufrikov)

[-] Panel column setup was reset each time when drive was changed with
    Ctrl-Left/Right (Eugeny Zvyagintzev)

[-] Drive Not Ready error message was shown twice when changing drive with
    Ctrl-Left/Right (Max Vasilyev)

[-] Fixed directory change logic (Max Vasilyev)

[-] Fixed detection of TDR storage catalogues (Max Vasilyev)

[-] Fixed incorrect initialization of Arvid drives (Max Vasilyev)

    >>> Editor and viewer <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] After editing a file with more than 65535 lines, DN became unstable
    (Anton Fedorov)

[-] When opening a file in Editor, stray empty lines still could appear,
    though in rare cases (Anton Fedorov)

[-] Fixed Indent and Unindent commands having been accidentally swapped in the
    Russian resources for the Editor menu (Alexey Feldgendler)

[-] Recalculation of some expressions in the Spreadsheet was broken
    (Anton Fedorov)

[-] Fixed detection of databases (Max Vasilyev)

    >>> Archivers <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Archivers that do not take the list of files to extract from a list file
    are now invoked multiple times if necessary, so that all the desired files
    are extracted (Jaroslaw Osadtchiy)

[-] Fixed detection of ARJ archives (Max Vasilyev)

[-] Fixed reading of TAR and TGZ archives (Max Vasilyev)

    >>> Miscellanous <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Extended the set of characters after which a space is not automatically
    added when pressing Ctrl-Enter to insert the current file's name into
    the command line. Now this set includes the at-sign '@' (Pavel Borodin)

[-] A number of fixes announced in DN OSP 1.51.12 were actually missing in the
    release. Now synchronized (Alexey Feldgendler)

[-] Fixed the behavior of memory-saving configurations with disabled features.
    Such DN configurations are not publicly distributed and one can only make
    them from the source code (Pavel Borodin)

[-] Wrong Help article was shown for the File Manager Setup dialog in Russian
    resources (Pavel Borodin)

[-] Cosmetic fixes to some dialog windows in Russian resources (Pavel Borodin)

[-] Fixed some Russian letters appearing in place of English letters with
    similar appearance in Russian resources, and vice versa (Pavel Borodin)

[-] Fixed a number of typos thoughout the Russian history.txt file
    (Alexey Feldgendler)

[-] Fixed a number of other bugs, minor and not...


   Version 1.51.12
  ---------------------------------------------------------------------

    >>> Compatibility issues <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] 3.5" 2.88 megabyte floppy drives are now correctly identified in the
    System Information and Format windows (Ondrej Zary)

[-] Some drive types were reported incorrectly by the DPMI version under pure
    DOS (Alexey Feldgendler)

[-] Selecting Abort in the System Error window caused a crash in DPMI version
    under pure DOS (Alexey Feldgendler)

[-] Long file names could not be used on Novell NetWare remote drives
    (Anton Fedorov)

[-] Clear Read-Only from CD-ROM option did not work in DPMI version under pure
    DOS (Max Vasilyev)

[-] The CopyLimit parameter from [Kernel] section of DN.INI was used not only
    in Windows, but in DOS too. This did not match the documented behavior
    (Max Vasilyev)

[-] The SmartWindowsBoxClose DN.INI parameter ([Kernel] section) almost never
    worked. Now it is fixed both for real-mode and DPMI versions. The only
    limitation remaining is that you should start DN.COM from Windows
    directly, not, for example, from a batch file, in order for the close
    button to work (Vitaly Astaforkin)

    >>> DN.INI parameters, setup and options <<<<<<<<<<<<<<<<<<<<<<<<<<

[+] New DN.INI parameter: UseF3InViewer = long ([Interface] section). Similar
    to the existing UseEnterInViewer parameter ([Interface] section). When set
    to 0, pressing F3 in viewer does nothing; when set to 1, F3 closes the
    viewer window; and the value of 2 means that F3 should cycle through
    text, hexadecimal and dump view modes (Alexey Feldgendler)

[+] New DN.INI parameter: PoorFrames = bool ([Interface] section). Value of 1
    means that the character encoding being used does not contain all the
    pseudographic characters. In this case DN uses a reduced set of characters
    for rendering various boxes (Pawel Ziemian)

[*] Made the memory allocation for DN.INI parameters more efficient
    (Pawel Ziemian)

[*] When reading DN.INI file, syntax errors are reported along with the
    corresponding line numbers (Pawel Ziemian)

[*] Optimized writing of DN.INI (Pawel Ziemian)

[*] The colour of scrollbars in the database viewer is now customizeable
    (Max Morozov)

[*] Updated some default values: enabled Advanced copy, turned on Check free
    space for all drives, added some new column presets (Max Vasilyev)

[-] The Ending string in the Printer setup was ignored (Anton Fedorov)

    >>> File manager <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] When HandleChDirCommand=1 is set in the [Kernel] section of DN.INI, one
    can browse remote drives without mapping them to drive letters. To change
    to a shared network resource, just enter "cd \\server_name\resource_name"
    (Anton Fedorov)

[*] Directories are now compared using long file names (Max Morozov)

[*] When copying files, the system cache is flushed each time after writing
    the whole RAM load, in case when more than one megabyte was transferred.
    The tests show that it really speeds up copying (Stanislav Olkhovik)

[*] Disabled syntax highlighting for Quick View panels, as handling it
    properly would require introducing too many color customzation entries
    (Max Morozov)

[-] File search could find particular files not matching the wildcard pattern
    (Anton Fedorov)

[-] Renaming a file with Alt-F6 to one of the description file names like
    files.bbs caused its content to be damaged (Anton Fedorov)

[-] After renaming a file, a stray space appeared between its name and
    description in the descriptions file (Max Vasilyev)

[-] The last description from a descriptions file could be deleted incorrectly
    (Max Vasilyev)

[-] File sizes were not shown according to the country setup
    (Marcin Gryszkalis)

[-] Fixed display of sizes for very large files, including compressed sizes
    in archives (Marcin Gryszkalis, Alexey Feldgendler)

    >>> Editor and viewer <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Files viewed with external facilities are now correctly recorded into the
    view history unless they reside in a temporary storage like files
    extracted from archives for viewing (Alexey Feldgendler)

[*] Optimized the Open file at cursor Editor feature by speed, not changing
    the logic (Anton Fedorov)

[-] Improved the Open file at cursor Editor feature: fixed the logic for
    extracting the file name from the current line, added correct handling
    of absolute pathnames, made cosmetic changes to the related user
    interface. Also fixed the newly created DN.SPF not becoming visible until
    refresh (Alexey Feldgendler)

[-] Fixed a possible crash when opening an Editor window (Anton Fedorov)

[-] When opening a file in Editor, stray empty lines could appear
    (Anton Fedorov)

[-] After viewing a file with an internal viewer (Alt-F3) it was impossible to
    view it with an external tool (F3) because it was recorded in the view
    history. Now F3 always selects the viewer that matches the file's
    extension, be that viewer internal or external. Selecting an entry from
    the view history still activates the viewer last used for the file
    (Alexey Feldgendler)

    >>> User Add-on Package <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Added more examples and fixed some old ones in the DN.EXT, DN.HGL, DN.XRN
    configuration files from the User Add-on Package (Andrzej Kowalczyk)

    >>> Archivers <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Fixed reading of WinRAR 2.80 beta 1 and later archives (Max Vasilyev)

    >>> System Information <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Added Windows ME (Millennium Edition) detection (Ondrej Zary)

[*] OS/2 Warp Server for e-Business version is shown in System Information
    (Max Vasilyev)

[-] Too many LPT ports was sometimes reported by the System Information
    (Anton Fedorov)

    >>> Miscellanous <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] DDI disk images can be unpacked (Max Vasilyev)

[*] Added arcctg function to Calculator as a synonym to arccotan
    (Michael Mercuryev)

[-] Fixed sqrt function in Calculator (Michael Mercuryev)

[-] Fixed the VGA palette not being properly initialized on startup
    (Alexey Feldgendler)

[-] After running an external program, the VGA palette was reset to the
    default values (Marcin Gryszkalis)

[-] When in 132-conumn extended video mode, the initial state of the video
    mode selection menu did not reflect the current mode (Pawel Ziemian)

[-] Pressing PgUp while moving a window would cause it to jump off the screen
    (Alexey Feldgendler)

[-] A help window called from a menu could be obscured by it
    (Alexey Feldgendler)

[-] Characters with decimal code 255 used in the Help window could cause
    unwanted visual effects sometimes and were replaced with spaces
    (Jaroslaw Osadtchiy)

[-] Multiple cosmetic fixes to the Russian user interface (Michael Mercuryev)

[-] Fixed a number of other bugs, minor and not...


   Version 1.51.11
  ---------------------------------------------------------------------

    >>> Compatibility issues <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] DN caused a conflict with LFN00X long file name services for Windows NT
    (Anton Fedorov)

[-] DN caused a conflict with QEMM memory manager (Jiri Travnicek)

    >>> DN.INI parameters, setup and options <<<<<<<<<<<<<<<<<<<<<<<<<<

[+] New DN.INI parameter: RecombineLongLines = bool ([Editor] section). As
    before, lines longer than 255 characters are cut into several lines when
    loading a file in any case. But now, when the new option is enabled, each
    line that is exactly 255 or 254 characters long is recombined with the
    next line when saving the file or writing the selected block to a file.
    This allows limited editing of files with lines longer than 255
    characters: all usual editing can be done on the last line segment, and
    only character replacement, but not insertion or deletion, is possible on
    the prior segments (in order not to change their length). To indicate the
    special status of these lines, they are highlit when hit by the cursor
    (Jaroslaw Osadtchiy)

[*] Added 1ST, ANI, BAS, CC, CHR, CUR, CXX, DB, DIB, HPP, HXX, JAV, JAVA, JS,
    MAK, ME, MOV and WP extensions to the corresponding highlight group
    defaults (Alexey Feldgendler)

[*] Tweaked the default palette setting for the Terminal window frame
    (Alexey Nemytov)

[-] Some accented Cyryllic characters used in Russia and Ukraine were not
    subject to case conversion by default (Alexey Feldgendler)

[-] A value of zero accidentally specified for the screensaver delay could
    make DN lock up in an endless loop (Alexey Feldgendler)

    >>> File manager <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] On 104-key extended keyboards, the Menu key now opens the menu associated
    with the extension of the current file. This allows to free Alt-Enter for
    Windows needs (Michael Averbukh)

[-] Drive type captions in the drive selection menu were always in English
    (Alexey Feldgendler)

    >>> Editor and viewer <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Added support for text files with LFCR-style line breaks (Anton Fedorov)

[-] Fixed detection of line break type (Alexey Feldgendler)

    >>> User Add-on Package <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Added many new xlat tables to the User Add-on Package
    (Pavel Protasov, Andrzej Kowalczyk)

[*] Added more examples and fixed some old ones in the DN.EXT, DN.HGL, DN.MNU,
    DN.SPF configuration files from the User Add-on Package
    (Andrzej Kowalczyk, Alexey Feldgendler)

[*] The User Add-on Package now contains DN.INI with English and Russian
    comments describing each parameter (Alexey Feldgendler)

    >>> Miscellanous <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Splitting the DNUtil unit into two parts and placing the one that is not
    required to be constantly present into the overlay helped to free up some
    conventional memory without suffering in performance (Anton Fedorov)

[-] Cosmetic fixes of many dialog windows in Russian resources (Pavel Borodin)

[-] Fixed a number of other bugs, minor and not...


   Version 1.51.10
  ---------------------------------------------------------------------

    >>> Compatibility issues <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] DN was unable to utilize the long file name services under Windows NT and
    dosemu (Anton Fedorov)

[-] DN was extremely unstable under Windows NT. In particular, it was unable
    to delete a directory; some output strings were erratically duplicated
    (Anton Fedorov)

[-] DN did not work in real mode under MS-DOS (Anton Fedorov)

[-] Access to Novell Netware shared volumes was impossible or erratic
    (Anton Fedorov)

[-] The DPMI version failed to handle file system related errors, such as
    a physical read or write error (Anton Fedorov)

[-] Fixed handling of file system related errors under OS/2 (Max Vasilyev)

[-] Altered the file management mechanism firmly, eliminating a bunch of
    problems, both effective and potential (Anton Fedorov)

[-] Fixed a bug related to changing work directory under MS-DOS (Anton Fedorov)

[*] Reverted to quick sort in real mode. This increased both performance and
    reliability of the real mode version (Anton Fedorov)

    >>> DN.INI parameters, setup and options <<<<<<<<<<<<<<<<<<<<<<<<<<

[+] New DN.INI parameter: UseEnterInViewer = long ([Interface] section). When
    set to 0, pressing Enter in viewer does nothing; when set to 1, Enter
    closes the viewer window; and the value of 2 means that Enter should
    cycle through text, hexadecimal and dump view modes (Jaroslaw Osadtchiy)

[*] The information set shown in the drive selection menu is now configurable
    not only by modifying the DriveInfoType DN.INI parameter directly, but
    using the new options added to the Interface setup dialog window
    (Jaroslaw Osadtchiy)

[-] The DN.INI [Kernel] DoVesaTest parameter did not work (Pawel Ziemian)

[*] Reorganized the editor and viewer options and placed them in separate
    dialog windows (Anton Fedorov)

[-] Cosmetic changes to the Screensaver setup dialog window (Alexey Nemytov)

[-] Cosmetic changes to the column deafults dialog windows (Mariusz Borkowski)

[-] The AutoWrap and WrapJustify keywords in DN.HGL were erratically swapped
    by their meanings (Pawel Ziemian, Marcin Gryszkalis)

[-] If there were spaces between the last extension in the list and the
    opening bracket in DN.EXT, the last extension was never matched
    (Alexey Feldgendler)

[-] Replaced the incorrect filter U[1-9][1-9] for highlight group 2 with
    U[0-9][1-9] (Alexey Feldgendler)

    >>> File manager <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Optimized memory utilization by TEMP, Branch and Find panels
    (Anton Fedorov)

[-] Restarting DN with a TEMP or Find panel open caused a crash
    (Anton Fedorov)

[-] After cancelling the Branch panel building, it is now shown empty without
    any weird effects (Anton Fedorov)

[*] Description files with descriptions linked to long file names are now
    correctly read and updated. However, new descriptions are still linked to
    short names (Anton Fedorov)

[-] Fixed updation of the description file with file operations: now the
    descriptions are correctly updated and deleted when copying, moving and
    deleting files even if there are several descriptions for a particular
    file (Jaroslaw Osadtchiy)

[-] After automatically updating the description file like descript.ion,
    its attributes were reset (Anton Fedorov)

[-] Fixed deletion of descriptions spanning several lines (Max Vasilyev)

[-] Sometimes an attempt to ascend to the parent directory from a subdirectory
    or an archive could bring up the root directory (Anton Fedorov)

[-] Browsing archives with subdirectories caused a memory leak (Anton Fedorov)

[-] Fixed extraction from archives without extensions (Anton Fedorov)

[-] Fixed launching of files without extensions (Anton Fedorov)

[-] External programs launched from the user menu did not receive lists of
    files selected in either panel (Anton Fedorov)

[-] Files without extensions whose names were one character long were
    displayed first when sorting by long extension (Anton Fedorov)

[-] Sorting an empty file list produced a crash (Anton Fedorov)

[-] Ctrl-Left and Ctrl-Right sometimes did not work as expected to change the
    current drive (Anton Fedorov)

[-] Pressing Ctrl-[ or Ctrl-] could lead to a crash (Anton Fedorov)

    >>> Editor and viewer <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Fixed switching between editing and viewing a text file (Anton Fedorov)

[-] In viewer, scrolling to the top of a text file with single CR or single LF
    line breaks caused a crash (Anton Fedorov)

[-] Very long lines of text were shown incorrectly in viewer (Anton Fedorov)

[-] The horizontal scroll bar could sometimes be off the editor window it
    belongs to (Anton Fedorov)

[-] The tab stops in editor were shifted one character (Pawel Ziemian)

[-] The MoveDown editor macro command did not work (Alexey Feldgendler)

[-] The {32-127} and {32-255} character range filters did not work in viewer
    (Anton Fedorov)

[-] In hexadecimal viewer mode, the last character on each line did not get
    translated according to the active xlat table (Alexey Nemytov)

    >>> Archivers <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Added support for IS3 SFX archives (Max Vasilyev)

[*] Optimized reading of ARJ archives as well as NE SFX archives
    (Max Vasilyev)

[*] Improved detection of ARC, QuArk and UFA archives as well as ARJ SFX
    archives (Max Vasilyev)

[*] Due to the introduction of the Recurse subdirectories per-archiver option,
    updated the default options for QuArk and UFA archivers (Max Vasilyev)

[-] The extension for QuArk archives was incorrectly specified as QRK
    (Max Vasilyev)

[-] Broken IS3 and LHA archives as well as certain kinds of broken SFX
    archives caused DN to crash (Max Vasilyev)

[-] Fixed ACE archiver default options for ACE 2.0 compatibility
    (Max Vasilyev)

    >>> Database viewer <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Scroll bars are now available in the database viewer (Eugeny Zvyagintzev)

[*] When viewing a database's structure, ordinal numbers are shown with the
    field names (Anton Fedorov)

[*] After editing a database field, the trailing whitespace is automatically
    trimmed (Oleg Redut)

[*] Significantly increased the speed of database searching (Anton Fedorov)

[-] Fixed searching a string in all database fields (Eugeny Zvyagintzev)

[-] Fixed editing of date fields in databases (Anton Fedorov)

[-] The database viewer window is now tileable (Eugeny Zvyagintzev)

    >>> Miscellanous <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] While searching files, the file mask is always shown, even if it is *.*
    (Pavel Borodin)

[-] Applied a number of cosmetic fixes to the user interface (Pavel Borodin)

[*] Returned sum() and mul() spreadsheet functions (Anton Fedorov)

[-] Fixed russian resources for the spreadsheet editor (Alexey Nemytov)

[-] Cosmetic changes to the menu system and some dialog windows
    (Jiri Travnicek)

[-] Fixed some typos and punctuation errors in the text of Russian help
    (Alexey Feldgendler)

[-] The Zoom and Maximize terms for the Window menu in Russian resources did
    not correspond to their usage in English resources (Alexey Nemytov)

[-] The advanced formatting options dialog window was always shown with all
    text in English (Jaroslaw Osadtchiy)

[-] An attempt to activate Help while moving a Help window caused a crash
    (Anton Fedorov)

[-] Fixed the About box (Anton Fedorov, Oleg Redut)

[-] The command line could hide the last line of user program's output
    (Anton Fedorov)

[-] The title of the audio CD track selection window could be incorrect
    (Anton Fedorov)

[-] Automatic sorting of phonebook entries could place one or more lines
    before the ".." entry (Denis Afonin)

[-] Fixed some bugs in Calculator (Anton Fedorov)

[-] When the first day of month was sunday, is was not shown in the Calendar
    (Jaroslaw Osadtchiy)

[-] Eliminated a potential crash when gathering the System information
    (Konstantin Kuznetsov)

[-] Fixed reporting of OS/2 version in System information
    (Mariusz Borkowski, Max Vasilyev)

[-] The DPMI version could crash when spawning a separate OS/2 session
    (Max Vasilyev)

[-] The real-mode version hanged up after an external screeensaver was
    terminated (Alexey Nemytov)

[-] Fixed a number of internal bugs (Jiri Travnicek)

[-] Eliminated a potential internal problem influenced by implicit type
    casting (Alexey Feldgendler)

[-] Several modules were moved from the overlay file to the base executable
    image because the DN performance with neither extended memory nor disk
    cache available was unsatisfying (Alexey Feldgendler)

[-] Fixed a number of other bugs, minor and not...


   Version 1.51.09
  ---------------------------------------------------------------------

[*] Added support for LE SFX archives (Max Vasilyev)

[*] The new Floating extension option allows to show names of files without
    extensions using the full column width (Anton Fedorov, Max Vasilyev)

[-] Fixed reading of GZIP files (Anton Fedorov)

[-] Keypad Alt-3 and Alt-9 worked as Alt-PageDown and Alt-PageUp
    (Anton Fedorov)

[-] Fixed opening Help while dragging a window (Anton Fedorov)

[-] Fixed the Game after DN restart (Anton Fedorov)

[-] Fixed unpacking of diskette images containing long file name records. At
    the present moment, these records are ignored, but it is only a temporary
    measure (Max Vasilyev)

[+] The database viewer allows to delete and recover records
    (Eugeny Zvyagintzev)

[-] Fixed detection of Windows version (Max Vasilyev)

[-] The ARJ archiver is now considered as supporting long file names. The
    default options changed according to this (Max Vasilyev)

[-] Some keyboard combinations did not work on first use (Anton Fedorov)

[-] Scrolling the viewer a large amount to right caused a crash
    (Anton Fedorov)

[-] DN.SWP sometimes was not created though needed under MS-DOS
    (Anton Fedorov)

[-] Line drawing mode could be combined with selection mode, causing weird
    behavior (Anton Fedorov)

[-] Fixed a number of other bugs, minor and not...


   Version 1.51.08
  ---------------------------------------------------------------------

    >>> DN.INI parameters, setup and options <<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Added PAT, NFO, UUE, UU[1-9] and U[1-9][1-9] extensions to highlight
    group 2 (text), WMA extension to group 7 (audio) and REG extension to
    group 8 (configuration) (Anton Fedorov)

[*] The Highlight group dialog window now contains an example of each group's
    color (Anton Fedorov)

[*] Exit confirmation is now the last item in the Confirmations dialog window
    (Anton Fedorov)

[-] Fixed handling of screensaver delay values (Anton Fedorov)

[-] Fixed comment handling bug related to extension configuration files
    (Anton Fedorov)

[-] Mouse sensitivity was not restored after restarting (Anton Fedorov)

[*] Removed StoreVideoMode2 DN.INI parameter (Pawel Ziemian)

[+] New DN.INI parameter: StoreVideoMode = long ([Kernel] section). 0 means
    not to store video modes selected from the mode selection menu anywhere,
    1 means to store them as video mode 1, and 2 means to store them as video
    mode 2 (Pawel Ziemian)

[+] New DN.INI parameter: DoVESATest = bool ([Kernel] section). When on, VESA
    132 characters wide modes are available, but Windows can do annoying
    switches to full-screen mode (Pawel Ziemian)

[*] DN specific video modes are now encoded with numbers that do not conflict
    with VESA mode numbers. The current assignment requires to add up the two
    numbers, the first being 128 for the horizontal dimension of 40
    characters, 144 for 80 and 160 for 94, and the second being 0 for the
    vertical dimension of 12 characters, 1 for 14, 2 for 25, 3 for 30, 4 for
    34, 5 for 43, 6 for 50 and 7 for 60 (Pawel Ziemian)

[*] Changed the defaults for alternative video modes: 80x30 for Alt-F10 and
    132x25 for Ctrl-F10 (Anton Fedorov)

[*] Changed some default options according to wishes of the majority of users
    (Max Vasilyev)

[*] There is an option now to show volume serial number and file system
    information in the Information panel (Ondrej Zary)

[+] New DN.INI parameter PreserveMenuPositions = bool ([Interface] section).
    When enabled, the current positions in all menus persist DN restart
    (Anton Fedorov)

[-] HistoryErrorBeep DN.INI parameter was ignored for input line histories
    (Anton Fedorov)

[*] While QuickRenameInDialog DN.INI parameter determines which method of
    quick renaming shoud be used for Alt-F6, Alt-Shift-F6 invokes the other
    method (Anton Fedorov)

[*] Changed column defaults for modes 3 and 4 (Max Vasilyev)

    >>> File manager <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Returned the Combined case its original meaning (Anton Fedorov)

[-] Ctrl-Shift-Arrows had unexpected effect on the command line
    (Anton Fedorov)

[*] Several internal optimizations caused a valuable decrease of directory
    scan time. The same technology now applies to Branch panel (Anton Fedorov)

[-] Sometimes the command line could enter the OS/2 session spawn mode under
    operating systems other than OS/2 (Anton Fedorov)

[-] Ctrl-Arrows with only one panel visible now always change the drive it
    displays. In prior versions it was possible to change the drive for the
    invisible panel (Anton Fedorov)

[-] Returned TEMP panel summary shown in the Information panel (Anton Fedorov)

[-] It was impossible to edit a file's description when none of the
    description files was present (Anton Fedorov)

[-] Fixed an old bug: when moving a file to a directory where the same-named
    file exists and the overwrite prompt was shown, the Rename option did not
    work (Anton Fedorov)

[-] Fixed extensions containing closing brace in quotes in the file highlight
    groups (Anton Fedorov)

[-] Fixed a bug related to sorting files by long extension (Anton Fedorov)

[-] When deleting files with multi-line descriptions, only the first line of
    description was deleted (Max Vasilyev)

[-] Moving left and right in File Panels could cause weird scrolling
    (Anton Fedorov)

[-] Quick search failed to find files whose name contains square brackets
    (Anton Fedorov)

[-] Fixed drag-and-drop copy operation (Anton Fedorov)

[*] Alt-Shift-Left and Right arrows move the vertical line between panels
    by large amount (Anton Fedorov)

[-] The total number of files shown at the bottom of panels was one larger
    than their true number (Anton Fedorov)

[-] Recombination of split files failed to work properly when invoked upon
    any section other than first (Anton Fedorov)

[-] In file split dialog, the input line contained the last history entry
    instead of the default destination directory (Anton Fedorov)

[-] Fixed a bug that caused a crash under DPMI and incorrect sort results
    under DOS (Anton Fedorov)

[-] Fixed summary information displayed for a very large number of files
    (Anton Fedorov)

    >>> Editor and viewer <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] A single zero-code character was the default replace string in editor,
    instead of an empty string (Anton Fedorov)

[*] Once pressed Ctrl-Enter in editor, the user can interrupt the search
    process with Esc (Anton Fedorov)

[-] Sligtly fixed the Ctrl-Enter search logic in editor (Anton Fedorov)

[-] Fixed the scrolling speed control logic in viewer (Anton Fedorov)

[*] Files not mentioned in DN.HGL are not subject to syntax highlighting
    (Pawel Ziemian)

[-] The DBF search status window was missing the quotation character after
    the search string (Anton Fedorov)

[-] Due to an internal bug, some editor commands could be missing
    (Pawel Ziemian)

[*] Syntax highlight improvements: added a new general option flag (value 128)
    (GENERALFLAGS keyword) that allows to recognize floats with missing
    integer part and a new string flag (STRINGFLAGS keyword) (value 128) that
    restricts control character sequences highlighting to caret-letter pairs
    with a non-alphabetic character being the next (this solves some problems
    with Pascal syntax) (Pawel Ziemian)

[*] Removed the disassembler, at least temporary (Max Vasilyev)

[-] When replacing all occurrences of search pattern in editor, the replace
    summary was incorrect (Max Vasilyev)

[-] Scrolling up in the viewer sometimes produced weird results
    (Anton Fedorov)

[-] It was imposible to interrupt searching in DBF viewer (Anton Fedorov)

[-] After editing a file passed through an external filter, an empty entry was
    added to the editing history (Anton Fedorov)

[-] Comments on the current line did not get highlighted in editor
    (Anton Fedorov)

[-] Printing from the editor was broken (Anton Fedorov)

[-] Editor performed very slowly in real mode (Anton Fedorov)

[*] The List panel's title is now shown with appropriate prefix
    (Anton Fedorov)

[*] Shift-F6 in viewer does not reset the current xlat table anymore. Instead,
    a menu of available xlat tables is opened. Pressing Backspace in this menu
    removes any active xlat table, and pressing Spacebar presents a dialog
    window for advanced selection of XLT files (Anton Fedorov)

[-] The Goto command in Spreadsheet Editor was broken (Anton Fedorov)

[*] Introduced Goto command in viewer similar to the one in editor
    (Anton Fedorov)

[*] Alt-F7 performs backward search in DBF viewer (Anton Fedorov)

[*] Added SmartTab option to the local editor menu (Anton Fedorov)

[*] Empty databases are recorded to view history (Anton Fedorov)

[-] DN crashed on DBF file with a field's length of zero created by some
    database tools (Anton Fedorov)

[-] The editor window frame was colored incorrectly when inactive
    (Anton Fedorov)

[-] The default setting for Tab Replace was ignored (Anton Fedorov)

[-] Horisontal Scroll bar could have incorrect size after resizing the
    editor window (Anton Fedorov)

[-] Fixed wrong attributes having been set on the created by editor files
    (Anton Fedorov)

[*] When printing the selected block from the editor, the page is not ejected
    (Anton Fedorov)

    >>> Search <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Searching failed when the file was less than twice the length of the
    search string (Anton Fedorov)

    >>> Archivers <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Fixed handling of AIN and UC2 archives (Max Vasilyev)

[-] After exitting an archive selected from the directory history, DN
    returned to the last directory that was active. Now it jumps to the
    directory containing the archive (Anton Fedorov)

[-] Fixed a bug related to archiving subdirectories (Anton Fedorov)

[-] When running AIN and UC2 archivers, blinking was enabled (Max Vasilyev)

[-] Invalid AIN archives could sometimes hang DN (Max Vasilyev)

[-] Fixed and optimized detection of AIN, GZip, LHA and UC2 archives, as well
    as ARJ 2.72 SFX archives (Max Vasilyev)

[-] Fixed TDR handling by means of rolling back to DN 1.51 code with no
    functionality degradation (Anton Fedorov)

[+] Added new per-archiver option: Recurse Subdirectories. By default enabled
    for those archivers that do recursive scanning only for *.* wildcard. Not
    set for archivers, that always do recursive scanning and for those that,
    when archiving a single file, would put into the archive all files from
    subdirectories having that name. (Max Vasilyev)

[*] Improved default options for most archivers (Max Vasilyev)

[*] Improved detection of SFX archives (Max Vasilyev)

[-] Fixed reading of small LHA archives (Max Vasilyev)

[*] Fixed HPACK invocation (Max Vasilyev)

[-] Long archiver options cound be unexpectedly truncated. (Max Vasilyev)

[*] To prevent crashes, packers and unpackers whose extensions are other than
    EXE or COM are invoked via the command shell even when swapping was
    disabled (Anton Fedorov)

    >>> System Information <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] More DOS vendors, Windows earlier than 95 and OS/2 earlier than Warp 3
    are now correctly reported by System information (Mariusz Borkowski)

[-] CPU speed detection code hanged the DPMI session under pure DOS
    (Max Vasilyev)

[-] Fixed resources for system information (Max Vasilyev)

[-] Fixed detection of OS/2 and some Windows versions (Max Vasilyev)

[-] Fixed reporting of more than 64 megabytes RAM (Max Vasilyev)

[-] Fixed occasional detection of four LPT ports (Max Vasilyev)

    >>> Cosmetic <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] A minor cosmetic fix to Russian after-formatting dialog window
    (Anton Fedorov)

[*] The status bar now reflects available keyboard commands while holding
    down Ctrl and Alt together (Anton Fedorov)

[-] The user menu was sometimes shown off the right place (Anton Fedorov)

[-] Fixed the phonebook. The sections now get sorted each time after loading,
    and, when renamed, are automatically reordered (Anton Fedorov)

[-] Fixed the internal timing code, thanks to Pavel Borodin (Anton Fedorov)

[-] Fixed minor typos in Engligh resources (Mariusz Borkowski)

[-] Highlight was missing for OK and Help buttons in dialog windows
    (Pavel Borodin)

[*] T key in CD player now works for Time, not for Title (available via L
    key). R key now works for Track list (JITRsoftware)

[-] Fixed a cosmetic bug in the CD Track list dialog window (JITRsoftware)

[*] Tetris, Print manager, Calendar and Calculator windows now have ordinal
    numbers like other windows (Anton Fedorov)

[*] Windows 9x console window title strings that are too long are now
    correctly shortened (Max Vasilyev)

[*] F9 and Shift-F9 are now functional in the Dialer window (Anton Fedorov)

[*] PgUp and PgDn keys work in menus (Anton Fedorov)

[*] Right after opening the directory history, the second entry becomes
    selected automatically (Anton Fedorov)

[*] When holding an arrow key in a menu or scrolling it with the mouse
    button, scrolling stops at the beginning or at the end and does not
    continue until the key or the mouse button is released (Anton Fedorov)

[*] In the event of run time error, DN requests for its description
    (Anton Fedorov)

[*] Reorganized the Panel Defaults dialog window in Russian resources
    (Anton Fedorov)

    >>> Programs executing <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] The DPMI version incorrectly reported itself as DOS version at startup
    (Anton Fedorov)

[-] DN.SWP sometimes did not get deleted (Anton Fedorov)

[-] Fixed a crash when DN environment variable contained a nonexistent path
    (Vladimir Korablin)

[*] Temporary list files now have unque names. This prevents conflicts between
    several copies of DN running simultaneously (Anton Fedorov)

[-] External programs launched with Quick Run feature cound not access the
    list of selected files (Anton Fedorov)

[*] When used in multitasking environment, several instances of DN store
    their current desktop information in separate temporary files to prevent
    unwanted interference (Anton Fedorov)

    >>> Miscellanous <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] The screen manager is rewritten to allow usage of more extended text
    modes (40, 80, 94 by 12, 14, ..., 60) and to eliminate problems with VESA
    text modes under DPMI (Pawel Ziemian)

[-] Due to an internal bug, DN was neither usable nor compileable under
    non-Windows 9x environment with LFN API available (Max Vasilyev)

[-] An internal fix was done on syntax highlighting (Pawel Ziemian)

[-] DPMI version crashed with a user menu where the first entry was empty
    (Anton Fedorov)

[-] Tetris crashed after playing (Anton Fedorov)

[-] When Color Dialog was opened after loading palette from a file, a General
    Protection Fault was generated (Pawel Ziemian)

[-] Fixed mitliple bugs related to VGA palettes (Anton Fedorov)

[-] DN crased when help file is missing (Anton Fedorov)

[-] Printing was impossible in DPMI version (Anton Fedorov)

[-] Internal fixes for Direct disk access (Max Vasilyev, Anton Fedorov)

[-] Reanimator and Disk editor did not worken in DPMI version
    (Sergey Korshunoff)

[-] Erasing files with Direct disk access was broken (Anton Fedorov)

[-] It was impossible to calculate arcsine and arccosine values of 1 and -1
    (Anton Fedorov)

[-] Unary minus operator was missing in the Calculator (Anton Fedorov)

[-] Trailing zeroes were incorrectly trimmed from exponent part of decimal
    numbers (Anton Fedorov)

[*] Tweaked window sizing logic. Alt-Z now toggles between the maximum (with
    fully visible borders) and the prior size, and Ctrl-Alt-Z switches the
    extra-large (with invisible side borders) and the prior size. This is
    true for the editor, viewer and terminal windows. The file manager window
    was also subject to modification: Ctrl-Alt-Z now only enlarges the current
    panel to the size of the whole file manager window, not zooming the latter
    to the screen extent and leaving this task up to Alt-Z. This influenced a
    change of DN.DSK desktop file format (Anton Fedorov)

[-] Fixed numerous bugs in Navigator Link (Anton Fedorov)

[-] Fixed a number of other bugs, minor and not...


   Version 1.51.07
  ---------------------------------------------------------------------

    >>> DN.INI parameters, setup and options <<<<<<<<<<<<<<<<<<<<<<<<<<

[+] New DN.INI parameter: HistoryErrorBeep = bool ([Interface] section). When
    enabled, pressing Del on a "locked" history list item produces a beep.
    Otherwise, pressing Del on such an element is just ignored (Anton Fedorov)

[-] The Tag character check box in the File manager setup did not work
    (Anton Fedorov)

[+] A new per-archiver option: Use long file names (corresponds to the new
    UseLFN = bool ARCHIVER.INI parameter). This allows to avoid problems with
    some archivers (Anton Fedorov)

[+] Added two more bit fields to DriveInfoType DN.INI parameter ([Interface]
    section):
    16 - Show Quick Dirs in drive selection menus
    32 - Show the number of files and directories stored on TEMP drive
    (Anton Fedorov)

    >>> File manager <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] Filename case conversion feature: press Ctrl-Alt-F6 to get a dialog window
    with samples (Anton Fedorov)

[*] Changed the default settings for file highlighting groups. Audio and video
    files moved to one group, and the one freed up is now used for "office"
    files (Max Vasilyev)

[*] When copying or moving a group of files, "<" character in the destination
    mask means that the corresponding source name character is to be skipped
    (Anton Fedorov)

[-] The copy progress indicator was going left-to-right after dragging with
    mouse regardless of ReflectCopyDirection setting in DN.INI (Anton Fedorov)

[-] After renaming a directory, the selection didn't move as expected
    (Anton Fedorov)

[-] Moving left and right in file panels sometimes behaved strangely
    (Anton Fedorov)

[*] The Drive Line now shrinks automatically so that the bottom left panel
    window corner used for resizing is never obscured (Anton Fedorov)

[*] It's impossible to change to an absent removeable drive (used some code
    from Yasha, Yasha project author: Sergey Korshunoff)

[*] Fixed descriptions handling (Anton Fedorov)

[*] When splitting files, a new parameter is available: Section count. When
    the Section size field is empty, it is selected automatically to produce
    the given number of sections. Also improved recombination logic: the next
    section is first checked for in the current directory, and only on absence
    a dialog window is shown with the ability to edit the next file's path
    (Anton Fedorov)

    >>> Editor and viewer <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] Searching works fine in viewer with an xlat table applied (Anton Fedorov)

[+] The viewer scrolling speed depends on the place where you click: the
    further from the center, the faster it scrolls (Anton Fedorov)

[-] Fixed DN restart with a file from archive or externally filtered open in a
    viewer window (Anton Fedorov)

[-] Fixed tab handling, line wrapping and disassembler in the editor
    (Anton Fedorov)

[-] Fixed reading of DN.HGL editor highlight file (Pawel Ziemian)

[-] Fixed editor window handling in the Window Manager (Anton Fedorov)

    >>> Search <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] The search results panel title reflects the full search context
    (Anton Fedorov)

[+] Quick searching now works fine in both the file panels and directory tree.
    The long or short name searching mode is selected automatically
    (Anton Fedorov)

[-] After quick searching with CapsLock-<letter>, the CapsLock light remained
    on (Anton Fedorov)

    >>> Archivers <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Progress indicator is shown while reading a TGZ archive (Anton Fedorov)

[-] Fixed reading of TGZ archives (Anton Fedorov)

[-] Fixed handling of ACE archives (Max Vasilyev)

[-] Fixed SFX archives detection (Max Vasilyev)

[-] The long names passed to archivers are quoted (Anton Fedorov)

    >>> Terminal <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Fixed Terminal crashes under certain conditions (Anton Fedorov)

    >>> System Information <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Removed detection of some Windows versions due to the impossibility of
    correct identification (Max Vasilyev)

[*] Improved OS/2 version reporting (Max Vasilyev)

[-] The co-processor information was always in English (Max Vasilyev)

[*] DPMI version shows the amount of EMS and XMS memory available
    (Anton Fedorov)

    >>> Calculator <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[!] The Calculator was totally rewritten (Anton Fedorov)

[+] Numbers in notation bases other than decimal do not have to be integers
    (Anton Fedorov)

[+] Added root(a,x) function to calculate the arithmetic power a root value
    from x (Anton Fedorov)

[+] Added hyperbolic functions: sh(x), arsh(x), ch(x), arch(x), th(x),
    arth(x), cth(x), arcth(x) (Anton Fedorov)

    >>> Miscellanous <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] The new windows receive numbers 1 through 9 with each new window getting
    the first free number. Use Ctrl-Shift-1..Ctrl-Shift-9 to switch between
    windows by their numbers (Anton Fedorov)

[*] Use Shift-Gray "+" and Shift-Gray "-" to switch to the next or previous
    window of the type similar to that of the current window (Anton Fedorov)

[*] The palettes coming with DN are updated to accomodate the increased number
    of file highlighting groups. New color schemes have been optimized for
    exploitation under any ambient lighting conditions in either full-screen
    or windowed mode (Max Vasilyev)

[*] Pressing the mouse button on the top or bottom menu boundary scrolls the
    menu with constant rate (Anton Fedorov)

[*] Windows 9x console title now shows full file names (Anton Fedorov)

[+] Optimized the DN.COM loader (Max Vasilyev)

[*] Improved the delay code and made it system speed independent
    (Anton Fedorov)

[-] Fixed packing of DN.MPP debug supplementary file (Pawel Ziemian)

[-] Fixed editor menu displaying logic (Anton Fedorov)

[-] Fixed multiple help system bugs (Anton Fedorov)

[-] File Open dialog box could cause a hangup under pure DOS (Anton Fedorov)

[-] Fixed a higlighted letter collision in the File menu in Russian resources
    (Anton Fedorov)

[-] Fixed the long file name service availability check (Anton Fedorov)

[-] Fixed opening files for editing (Anton Fedorov)

[-] Fixed a number of other bugs, minor and not...


   Version 1.51.06
  ---------------------------------------------------------------------

    >>> DN.INI parameters, setup and options <<<<<<<<<<<<<<<<<<<<<<<<<<

[!] Totally replaced the INI engine. In particular, all the user comments are
    left intact when automatically updating (Anton Fedorov)

[+] New DN.INI parameter: SmartWindowsBoxClose = bool ([Kernel] section).
    When enabled, an attempt to close Windows 9x/2000 console box is
    equivalent to pressing Alt-X in DN (Jaroslaw Osadtchiy)

[+] New DN.INI parameter: StoreVideoMode2 = bool ([Kernel] section). A value
    of 1 states that a video mode selected via Shift-F12 is to be saved as
    the second video mode (Anton Fedorov)

[+] New DN.INI parameter: ReflectCopyDirection = bool ([Interface] section).
    When enabled, the copy progress indicator grows from right to left when
    copying files from right panel to left (Anton Fedorov)

[+] New DN.INI parameters: ReuseViewers = long, ReuseEditors = long
    ([Interface] section). The first parameter affects viewer windows, the
    second one affects editor windows. When set to 1, instead of opening a new
    separate window for a file already opened, a prompt to activate the
    existing window is issued. When set to 2, the existing windows are
    activated without prompts. Zero means to always open a new window
    (Anton Novosyolov, Anton Fedorov)

[+] New DN.INI parameter: QuickRenameInDialog = bool ([FilePanels] section).
    A value of 1 causes quick renaming (Alt-F6) to occur in a special dialog
    (Anton Fedorov)

[+] New DN.INI parameter: RightAlignClock = bool ([Clock] section). When on,
    the clock is always positioned at the right edge of the screen
    (Anton Novosyolov)

[+] All the archiver settings are stored as plain text in ARCHIVER.INI. Only
    the settings modified by user are stored there automatically. To store all
    the archiver settings at once, use the new Update ARCHIVER.INI menu
    command from the Archives submenu of the Options menu (Anton Fedorov)

[+] Added extra parameters to pass to archivers on invokal
    (Jaroslaw Osadtchiy)

[*] The option to create SFX archives is now available in Archive Files dialog
    (Anton Fedorov)

[-] Fixed DN.XRN handling bugs (Anton Fedorov)

[+] On Ctrl-Enter in editor, if the file is not found, the user is prompted to
    create that file from scratch or to configure the search paths in DN.SPF
    (Anton Fedorov)

[+] Instead of simply warning the user that the FTN information is to be set,
    a corresponding dialog window is now shown (Anton Fedorov)

[+] New system parameter configurable independently for each particular drive:
    Check free space. When on, the free space is checked by default when
    copying to this drive (Anton Fedorov)

[*] The Verify disk writes and Check free space check boxes are now
    initialized depending on what drive is active on the non-active panel on
    dialog opening and have priority over the system setup settings
    (Anton Fedorov)

[+] Added the option to always copy the file descriptions (File Manager
    setup). When enabled, the Copy descriptions check box in the copy dialog
    will be checked by default. In this mode all the description contaners
    (descript.ion, files.bbs, etc) are excluded from group mark and invert
    operations (Jaroslaw Osadtchiy)

[+] Added the option for alternative Ctrl distinguishing logic. When on, right
    Ctrl relates to the active panel and left Ctrl relates to the passive
    panel. When off, each Ctrl relates to that panel on what side of keyboard
    it is (Anton Fedorov)

[+] Added 5 more highlight groups to the 5 existing (Jaroslaw Osadtchiy)

[+] Country Setup now has the ability to import the parameters from DOS locale
    driver (Pawel Ziemian)

[+] Added toggle options for syntax highlight and SmartTab in editor and for
    syntax highlight in viewer (Anton Fedorov)

[-] Fixed video mode restoration bug on exit from DN (Anton Fedorov)

[*] In the video mode selection menu, the cursor is initially positioned at
    the current mode (Sergey Korshunoff)

[-] Fixed clock and Trashcan position preserval bug (Anton Fedorov)

[*] Added an option to disable formatting warning under OS/2
    (Jaroslaw Osadtchiy)

[*] Setting OS2COMSPEC environment variable is no more required to launch
    native programs under OS/2 Warp 3+ (Mariusz Borkowski)

    >>> File manager <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] After Alt-Enter, the menu for the specific extension was shown for F2
    instead of the User Menu (Anton Fedorov)

[+] Improved extension matching logic. Now file.tar.gz matches both gz and
    tar.gz extension specifications, as well as file.html matches both htm
    and html (Anton Fedorov)

[+] Everywhere in a file pattern specification the * and ? characters can be
    used multiple times, plus any of the following constructions:
        [abc0-9_] - matches exactly one character from abc0123456789_
        [^ax-z] - matches exactly one character NOT from axyz
        "characters" - matches the characters literally
    (Anton Fedorov)

[*] New Combined case names display logic: a name is shown "as is" if and only
    if it contains both capital and small letters (Jaroslaw Osadtchiy)

[-] Fixed !\ and some other path macros for the .. entry (Anton Fedorov)

[*] When splitting a file, an arbitrary section size can be specified
    (Anton Fedorov)

[+] When both dirinfo and file_id.diz do not exist, readme.txt is shown in the
    Info panel. These files are now scrollable (Anton Fedorov)

[+] File operations like copying and acriving are performed on all files in
    the directory if invoked while standing on the .. entry (Anton Fedorov)

[*] On F5 and F6 with the same directory being open on both panels, the file
    name is shown in the input filed without the full path (Anton Fedorov)

[*] When copying or moving a group of files, ">" character in the destination
    mask means that the next character is to be inserted into the name instead
    of overstriking (Anton Fedorov)

[*] Alt-; (Alt-semicolon) can be used to toggle descriptions as well as the old
    hot key (Anton Fedorov)

[+] Databases and spreadsheets are recorded in the file view history,
    including the position within the file (Anton Fedorov)

[+] Directories within archives and Arvid catalogs are stored in the directory
    history (Anton Fedorov)

[-] When quick renaming, the cursor could hit the vertical delimiter line
    (Sergey Korshunoff)

[*] CMD files in Windows NT are now treated as executable

[-] Hidden, System and Read-only files could not have their attributes changed
    with DN (Anton Fedorov)

[-] The !, #, $ and & macros produced garbage in user menu when the panels
    were empty (Anton Fedorov)

[-] When trying to cd to a nonexistent directory, an undesired cursor movement
    occured (Anton Fedorov)

[-] The automatic up-change feature on the current directory absence (when
    rereading a panel) failed when the upper directory did not exist too
    (Anton Fedorov)

[*] After erasing the command line contents with Backspace, the up-change with
    Backspace feature is disabled until Backspace is released (Anton Fedorov)

[-] Sometimes using Right/Left arrows in the panels resulted in weird
    horizontal scrolling (Anton Fedorov)

[-] DN could hang up when moving the panel delimiter with Alt-Right/Left
    (Alexey Feldgendler)

[+] The two new file sorting modes are designed to order files by their long
    names and by long extensions (Anton Fedorov)

[*] The new algorithm used for sorting significantly decreases the time it
    takes to enter a directory with large number of files (Anton Fedorov)

[*] Panels are not reread after changing sorting options (Anton Fedorov)

[*] A rotating dash is shown in the upper-left corner of the screen while
    reading directories (Anton Fedorov)

[*] The current file remains current after changing sorting options
    (Anton Fedorov)

[*] A single click on a drive letter in the Drive Bar is equivalent to Ctrl-R.
    A double click brings to the root directory of a drive (Anton Fedorov)

[*] Now history windows are shown even when empty (Sergey Korshunoff)

[-] Fixed a bug appearing when trying to reopen a file from archive for
    viewing (Sergey Korshunoff)

[+] Tweaked AVT and TDR handling, making operations faster (Anton Fedorov)

[-] Returned correct file type detection within archivers and Arvid catalogs
    (Anton Fedorov)

[-] Some macros failed to work with one panel closed (Sergey Koryakin)

[*] In the drive selection menu "*" is now the hot key for TEMP and "/:" is
    the hotkey for LINK. More than that, the Quick Directories became
    accessible from this menu (Anton Fedorov)

    >>> Editor and viewer <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[!] The editor is now able to open files of unlimited size. Yet implemented
    only in DPMI version (Anton Fedorov)

[+] As an experimental feature, disassembly mode has been added to the viewer,
    activated with F4 as the fourth mode (Anton Fedorov)

[+] Added external filtering feature to viewer: a line in DN.VWR containing
    !%F macro is not an external viewer, but an external filter specification,
    where !%F is expanded to a fully qualified short name for the temporary
    file to be created by the filter program. After filtering, internal viewer
    opens with that temporary file's contents. When the user attempts to
    modify such file either with the viewer or by starting editor with Alt-E,
    he or she is warned that it will be impossible to save the modified file
    back through the filter. If the user agrees, a consequential attempt to
    save the file produces the Save As dialog (Anton Fedorov)

[*] Redo has an extra hot key Alt-Shift-Backspace, in addition to the old one
    (Anton Fedorov)

[-] When closing a viewer window via the Window Manager, the temporary file
    was not deleted (Sergey Korshunoff)

[-] Could not save a Read-only file modified in viewer (Sergey Korshunoff)

[+] Alt-V in editor replaces the editor window with the viewer for the same
    place of the same file, prompting the user to save the editor changes
    (Anton Fedorov)

[*] The apostrophe is not a delimiter character anymore (Anton Fedorov)

[-] Deletion of a word with Ctrl-Backspace was undone character-by-character
    (Anton Fedorov)

[-] Fixed insertion and undoing insertion of vertical blocks (Anton Fedorov)

[-] Fixed tab character handling in viewer and editor (Alexey Froloff)

[-] Fixed tab character handling in viewer once more (Anton Fedorov)

[+] Automatic line break type detection now works in editor too
    (Anton Fedorov)

[-] Files consisting of only one line were always detected as having <CR> line
    breaks (Anton Fedorov)

[-] Files with single <CR> line breaks were shown incorrectly in viewer
    (Anton Fedorov)

[+] Syntax highlighting in viewer (Sergey Korshunoff)

[+] A new, advanced syntax highlighting module for the viewer and editor with
    many new features available. See the DN.HGL example for details
    (Mariusz Borkowski)

[-] Fixed the syntax highlighting module (Pawel Ziemian)

[-] Fixed the syntax highlighting module once more (Anton Fedorov)

[+] Hex editing mode in viewer now allows to enter almost any characters.
    Ctrl-P or Ctrl-B brings the ASCII Table (Ctrl-P and Ctrl-B themselves are
    selectable only from the table) (Sergey Korshunoff)

[+] In hex editing mode, the current cursor position is highlighted by
    inverting the colours (Max Vasilyev)

[-] Spacebar now works like PgDn only in text view or dump mode
    (Anton Fedorov)

[-] The user is prompted to save editor and viewer changes when restarting DN
    with Ctrl-Alt-X (Anton Fedorov)

[+] Selecting an arithmetical expression in editor and pressing Alt-Ins places
    the result of calculation in Clipboard (Anton Fedorov)

[*] The bookmarks remain bound to their lines of text on line insert and
    delete operations (Anton Fedorov)

[*] The viewer now has, like in editor, the ability to set bookmarks with
    Alt-digits and to jump to them with Ctrl-digits (Anton Fedorov)

[-] The bottom border of viewer window looked oddly when the window was very
    narrow (Anton Fedorov)

[*] Four digits are shown for the year in date fields of databases viewed
    (Anton Fedorov)

[*] The database field titles are now centered (Anton Fedorov)

[-] Sometimes it was imopssible to view memo fields in databases
    (Anton Fedorov)

    >>> Search <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] The option to search in all code pages is now available in viewer too
    (Anton Fedorov)

[*] The editor search and replace dialogs and the file search dialog now
    have input lines for hex strings (Anton Fedorov)

[*] When a search string is present, it is shown in the search status window
    (Anton Fedorov)

[-] Fixed search bug leading to hanging up (Anton Fedorov)

    >>> Archivers <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] A major revision of archiver support code has resulted in freeing 20 more
    kilobytes of conventional memory (Anton Fedorov)

[+] TGZ archives support (Anton Fedorov)

[+] InstallShield 3.00.xxx archives support (Max Vasilyev)

[-] Fixed ZXZIP archives handling (Max Vasilyev)

[-] Fixed handling of ACE archives with revocery records (Max Vasilyev)

[-] Fixed reading of ARC archives (Anton Fedorov)

[*] Improved HA archive identification logic (Max Vasilyev)

[-] Fixed ZIP and WinZIP archive identification logic (Max Vasilyev)

[-] Fixed PE and NE executable SFX archive detection (Max Vasilyev)

[-] Fixed file extraction from SFX archives (Max Vasilyev)

[-] Fixed HA, HYP, RAR default switches (Anton Fedorov)

[-] Fixed directories archiving (Anton Fedorov)

[-] Fixed handling of archived files whose names start with dot
    (Anton Fedorov)

    >>> System Information <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Now the CPU type and clock is detected correctly (Max Vasilyev)

[*] Improved hard drive specifications retrieval (Max Vasilyev)

[*] Improved operating system identification (Max Vasilyev)

[+] The Windows version (including Windows NT and Windows 2000) is correctly
    shown in System information (Max Vasilyev)

[*] System information now correctly detects OS/2 Warp Server for e-Business
    (Mariusz Borkowski)

[*] System information now correctly detects version of dosemu (Anton Fedorov)

[+] DN since version 1.50 works only on machines with 80286 or higher CPUs,
    so the Conventional Memory field is no more useful. Insted there is a
    field now showing the total amount of physical memory (Max Vasilyev)

    >>> Miscellanous <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[!] Borrowed some internal modules from Yasha (DOS Navigator)
    (Yasha project author: Sergey Korshunoff)

[*] Yasha (DOS Navigator) phonebook format is supported for reading
    (Anton Fedorov)

[!] Corrected and written from scratch are many help topics (Igor Vagin)

[*] Window switching commands are available in Help. When the Help window is
    opened but inactive, F1 activates it (Anton Fedorov)

[-] Help now behaves correctly when invoked with menus active (Anton Fedorov)

[*] The team list in the About box now shows a nice visual effect
    (Anton Fedorov)

[+] Added Calendar, which is available from double-clicking the clock or via
    Ctrl-F12 hot key. See the Calendar help topic for details
    (Jaroslaw Osadtchiy)

[+] Xlat tables from the XLAT directory and palette files from the COLORS
    directory are now available via the quick access menus
    (Jaroslaw Osadtchiy)

[*] Long menus can be scrolled by clicking their top and bottom frames
    (Anton Fedorov)

[*] Dates for extended search can include either 2 or 4 digits for the year
    (Jaroslaw Osadtchiy)

[*] Any of the zone:, net/, node and .point components can be omitted when
    specifying FTN addresses. In such cases, zone, net and node are taken from
    the user's primary address, while point is considered to be zero
    (Anton Fedorov)

[*] When creating a file list, !.! is appended to the Action string only if it
    doesn't end with a space. When adding !.! to ^ and ## strings, the
    delimiting space is not added (Anton Fedorov)

[+] New keyboard commands available in all input fields: Ctrl-[ converts
    current word to upper case, Ctrl-] converts current word to lower case,
    Ctrl-\ capitalizes current word. Holding Shift with these commands makes
    them span the whole text, preceding them with Ctrl-K makes their subject
    only what is selected. Alt-F12 converts the selected text between Russian
    and English letters and is useful when you forget to switch the keyboard
    layout before typing (Anton Fedorov)

[*] The time in the Clock built-in screensaver changes its colour periodically
    (Jaroslaw Osadtchiy)

[-] Fixed the Flash-light built-in screensaver (Anton Fedorov)

[*] ASCII table now shows an example of what a character with the attributes
    specified by the current byte would look like (Anton Fedorov)

[*] The command line content automaticaly scrolls back as its length decreases
    (Anton Fedorov, Alexey Feldgendler)

[*] Source file name without path is automatically added to the UU Encode
    dialog's history list (Anton Fedorov)

[*] UU Encode now uses "uue" instead of "UUE" extension for output files
    (Alexey Feldgendler)

[-] Split refused to work when the input field was left empty (now the current
    directory is assumed) and malfunctioned when the source file's extension
    started from "d" and only the output path, without name, was given
    (Alexey Feldgendler)

[*] Changed DN.HIS history file format (Anton Fedorov)

[*] The error message related to resource file opening failure now includes
    the name of that file (Anton Fedorov)

[*] Optimized the DN.COM loader (Max Vasilyev)

[!] Performed numerous speed and memory usage optimizations (Anton Fedorov)

[-] Fixed Trashcan display logic (Anton Fedorov)

[-] Trashcan visual caption made language-dependent (Alexey Feldgendler)

[-] Fixed cursor positioning in command line (Anton Fedorov)

[-] Phonebook crashed when creating an empty directory (Anton Fedorov)

[-] Ctrl-Alt-X and Ctrl-Alt-Z sometimes failed to work right after DN startup
    (Anton Fedorov)

[-] Fixed OS/2 check before issuing the formatting warning (Anton Fedorov)

[-] Fixed a bug that caused 100% CPU load under Windows NT (Anton Fedorov)

[-] Now dn.flg is created correctly even when DN is placed extramely deeply in
    the directory structure (Pawel Ziemian)

[-] Fixed a number of other bugs, minor and not...


   Version 1.51.05
  ---------------------------------------------------------------------

    >>> Long File Names <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[!] Long file names supported everywhere. Unfortunately, there are limitations
    not depending on us, that make it impossible to open or delete files whose
    full pathname is longer than 255 characters

[+] A new system setup parameter available for each particular drive:
    Don't use long file names. It prevents DN from using long names even if
    the operation system reports them as being available

[-] Fixed a bug related to the bi-coloured strings rendering, which sometimes
    worked incorrectly for strings containing the tilde character

[+] It is now possible to create up to 10 panel view presets, switchable
    with Ctrl-1 ... Ctrl-0

[+] Added new macro sequences like ! and $. Everywhere # means active panel,
    & means passive. The macros also can be used in the User Menu item names.
    #  &  - current file's long name up to the last dot, not including that
            dot, without quotes
    .# .& - current file's long extension (the text after the last dot or
            empty string if there are no dots), without quotes
    #\ &\ - long path to the current file
    #/ &/ - long path to the current file (without the trailing \)
    #: &: - same as !: and $:
    ## && - respectively # and & characters
    !%? $%? #%? &%? - a special replacement, where the ? may be:
     a - file attributes: RHSVDA, minus signs in place of absent attributes
     c - compressed size or the real size outside an archive
     d - last modification date according to the current date format
     r - compression ratio (with the percent sign), "100%" outside an archive
     s - file size (uncompressed size in archives), an empty string for
         directories
     t - last modification time according to the current time format
     z - the first line of file description, without heading and trailing
         spaces, or an empty string when descriptions display is disabled

    >>> DN.INI parameters, setup and options <<<<<<<<<<<<<<<<<<<<<<<<<<

[+] A new DN.INI parameter: UseLFN = bool ([Kernel] section), on by default,
    enables the global long file name support

[*] The CopyLimit8M parameter has been removed from the [Kernel] section of
    DN.INI

[+] A new DN.INI parameter: CopyLimit = long ([Kernel] section) - specifies
    the limit for copy buffer size under Windows in kilobytes. 0 means
    unlimited. The default is 8192 (8 megabytes)

[-] Fixed saving of string parameters in DN.INI

[+] New DN.INI parameters: HorizScrollBarChars = str and VertScrollBarChars =
    str ([Interface] section), specifying the scroll bar appearance,
    containing 5 characters: first character, last craracter, bar character,
    slider character and the empty bar character. Specified like a string of
    five characters

[*] The ShowKeyCode = long DN.INI parameter ([Kernel] section) now can be:
     0: Don not show key codes
     1: Show Scan/ASCII pairs in a special window
     2: Show Scan code in the upper right corner
     3: 1 and 2 together

[+] The "cd path" and D: commands are now handled by DN itself, without
    starting a command shell. This can be disabled by setting the
    HandleChDirCommand = bool DN.INI parameter ([Kernel] section) to zero

[+] Added auto detecting of codepage for a file newly opened for editing (not
    present in the editing history). For auto detecting, set the
    DefCodePage = str DN.INI parameter ([Editor] section) to AUTO. For WIN or
    KOI to be considered actual the text must contain small, capital letters
    and wovels; for each 500..999 small letters there must be a capital letter
    but not more than one capital for each 5..9 small letters; plus a wovel
    for each 5..9 small letters

[+] Removed HideLocalCurDir, HideNetworkCurDir parameters from DN.INI, instead
    there is a new parameter: DriveInfoType = long ([Interface] section),
    taking an additive combination of the following values:
    1 - Show device type
    2 - Show current working directory for local drives
    4 - Show current working directory for CD-ROM drives
    8 - Show current working directory for network drives
    The default value is 2 (show current working directory only for the local
    drives)

[*] The default has changed to saving all histories

[+] Added new multitasking time slicing options (Startup window)

[+] New logic for distinguishing between Ctrl keys: selecting drives with left
    Ctrl affects the passive panel, while the right Ctrl is for the active

    >>> File manager <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] It is possible to enable the long name display in panels and to customize
    the long name column width and the extension field width. Use zero
    extension field width to make extensions displayed just after the names
    with a dot

[*] The extension specifications in the editor, viewer, etc configuration
    files can now contain ? and *.

[-] An attempt to activate a panel for a CD-ROM directory when the CD-ROM was
    not in the drive could lead to an endless error message loop

[-] After measuring the time of program execution some files could get erased

[-] File list reading feature was handling lower case names incorrectly

[+] Ctrl-Alt-X restarts DN

[*] The Windows console title now shows the current DN window name

[+] Ctrl+<Gray +> on ".." selects all files

[+] Editing descriptions is now possible regardless of them being shown or not

[-] Fixed dragging files with panel titles turned off

[*] Improved moving directories within a single drive

[*] Zooming the current panel is now done with Ctrl-Alt-Z

[+] Added visual effects on DN entry/exit. The fade speed is specified in
    DN.INI with the FadeDelay = long parameter ([Interface] section).
    Use 0 (default) to disable the effects. 5 is a reasonable speed value

[+] Mark/unmark commands now allow filters like *.a;*.d

[+] The user screen shown with Esc is now displayed in the default colours

[*] Fixed external screensaver invocation

[+] Ctrl-Backspace can be used in input fields to erase a word

[-] Changing the interface language had no effect on the editor menu

[-] SmartPad and Clipboard windows lost their special status after DN restart

[*] F9 and Shift-F9 for switching windows now work in the Calculator

[*] There were no hotkeys for the CD player in the Russian resources

[*] Fixed a resource bug preventing the user from activating the main menu
    with F10 from the CD player

[*] The command line handles keystrokes only when a file manager or an output
    window is active

[+] Ctrl-Enter, Ctrl-Shift-Enter, Ctrl-Ins, Ctrl-Shift-Ins, Ctrl-[, Ctrl-]
    now work with long names if used together with Alt

[+] Selection, insert and replace features are available when quick renaming
    a file

    >>> Editor and viewer <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] File not found on Ctrl-Enter warning was always in English

[*] Improved Ctrl-Enter logic, removed the debugging mode

[+] Hex viewer highlights the current cursor position

[+] The xlat table is applied in the hex viewer

[-] Fixed positioning in the ASCII part of the hex viewer window

[*] When selection or ruler usage in the editor caused scrolling, it wrapped
    past end and before start of the file. Now it just stops

[-] Fixed a minor bug related to the system clipboard

[*] Single Alt does not activate the editor menu anymore

[-] Fixed a bug reported by Max Vasilyev (2:5057/33.36): in the hex viewer for
    short files (like dn.cfg) it was possible to use Ctrl-PgDown only after a
    Ctrl-PgUp

[+] The editor shows line break type on the bottomw border (CrLf, Lf, Cr),
    the Line breaks item was added to the Misc menu to switch it

[+] Xlat table now works in Dump mode, and the editing is done regarding the
    current xlat table

[*] Added new window switching commands Next different, Prev different,
    Next similar, Prev similar. Now available only from the Window menu

[-] Fixed editor hangup with very long lines

[*] Spacebar now acts like PgDn in viewer

[*] Enter closes viewer

[*] Reopening an open file for editing or viewing brings the existing window
    to top instead of opening a new one

[*] When opening a previously closed file, the scrollbar always shown the
    beginning of the file

[*] F8 in viewer now cycles codepages like in editor (DOS, WIN, KOI),
    the special xlat tables are available only via Shift-F6. This caused the
    DN.HIS format to change

[*] Changed viewer status information: removed brackets, the filter range is
    now always shown, clicking the mouse on encoding and filter range
    information changes these values

[+] Files containing CR CR LF sequence are now shown with the first CR as a
    regular character rather than a line break

[*] The right mouse button on a bookmark position in editor always sets the
    bookmark rather than jumping to the old position

[+] Viewer now has bookmarks, and they are shown on the bottom border like in
    editor (but there are no marker digits on the left border)

[+] Alt-E in viewer replaces the viewer window with the editor for the same
    place of the same file

[*] Ctrl-S in editor saves the file being edited

[*] Trying to view a file from archive that is already open does not cause
    unpacking anymore

[-] Fixed a bug causing F1 not to work in viewer

[*] Ctrl-Enter in the ASCII chart inserts the character without closing the
    chart window

    >>> Search <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] All case insensitive comparations and case translations now handle
    cyryllic letters correctly. The cyryllic letters are shown in lower case
    in the file names; the Quick Search finds cyryllic names correctly

[+] History lists now have the quick search feature. Just start typing the
    first characters of the desired entry, press Ctrl-Enter to jump to the
    next match. The spacebar finds a space character instead of 'locking'
    the current record in this mode; move the cursor or click the mouse to
    cancel quick search first

[*] When a long file name entered in the search window does not contain .,
    * and ? characters, each space in the name is replaced by a * and an extra
    * is added at the end. So, entering "Monthly report" will find both
    "Monthly report.doc" and "Monthly sales report.doc"

[*] Improved text searching

[-] Fixed searching in all codepages

[*] The free space is now checked taking into account the cluster size on the
    destination drive

[+] The search pattern in now shown during a file search

    >>> Archivers <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] The maximum length of the Additional options in the Archive dialog
    increased to 80 characters; a history list attached to this field

[*] ARJ volumes are now handled correctly

[*] Directories in LHA 2.55 archives created with -h2 option are now handled
    correctly

[-] NE executable WinZip SFX archives were not always correctly identified

[*] AIN and TAR identification logic improved

[-] AIN file date retrieval fixed

[*] Russian version of AIN could not be used. Fixed

[*] Include pathnames in on by default when extracting using Shift-F2. When
    copying, the default is taken from DN.CFG

[*] Fixed extraction from CAB volumes. Sometimes the destination directory was
    wrong. Fixed

[*] Does not overwrite files automatically when extracting anymore (default
    changed)

[-] The archiver setup dialog titles were broken

[*] Archives with empty directories were treated incorrectly

[*] HA archive headers from other operating systems handling fixed

[*] CAB SFX directory reading worked incorrectly. Fixed

[-] Password presence was not always shown correctly

[-] In UNIX RAR archives, all files appeared as directories

[+] Quark and UFA archivers support

[*] Fixed a bug related to ZXZIP archive handling

    >>> Terminal <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] The CPS shown was wrong after Z-Modem protocol restart

[-] Time remaining is now calculated based on the effective CPS instead of the
    port baud rate

[-] Ctrl-F9 Terminal setup saving bug fixed

[+] Clicking the mouse in the Terminal window causes (depending on the mouse
    setup):
    primary button - grabs a character and sends to the port
    secondary button - grabs a word and sends to the port (now works only with
        80x24 fullscreen Terminal window)
    double click - same as above, but with trailing line break

[+] Ctrl+Z for HangUp item added to the Terminal status line

[-] The "bytes of" string in the upload/download window is now language
    dependent

[+] Ctrl-D is now used for the Dialer in Russian resources

    >>> System Information <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Highlighting for the Network info in the Russian resources was broken

[*] System Information now correctly shows OS/2 version

[*] The System Information window width changed to accomodate all Russian
    strings

[*] "MMX Support" and "MMX no support" strings in System Information changed
    to "Pentium MMX" and "Pentium" respectively

[-] Fixed handling of very large drives

    >>> Miscellanous <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] Alt-1 ... Alt-9 can be used in any input field to quickly enter pathnames
    of the Quick Dirs

[*] Volume Label field in the Format window now has a history list

[*] The history window was moved down and right one position not to obscure
    the input line

[-] Unpack Diskette Images dialog was always shown in English

[*] Comments in the DN.SPF template are now language dependent

[*] Screensaver launch delay selector changed from a radio button group to
    an integer input field for the number of minutes

[*] About window now shows DN compilation date on a separate line

[*] Stack dump added to the debugging information saved to DN.ERR

[+] Ctrl-RShift-Tilde dumps the current internal state to DN.ERR

[-] Removed directory descriptions were not deleted from FILES.BBS

[+] When renaming with Alt-F6, the descriptions file is now currectly updated

[+] The descriptions are now copied or not depending on the descriptions
    copying setting. The descriptions display option affects only the default
    value for this setting

[+] The description continuation line can now start with a tab, not only with
    a space

[+] Overwriting a file overwrites its description now

[+] With the new Kill descriptions container option in the File Manager setup,
    a description file that becomes empty is automaticaly removed

[+] AVT files support added. Creating, removing, renaming and moving
    directories is supported. When reading or writing files in AVT is
    attempted, appropriate batch files for AVCOMSTR are created.

[*] Long file names in AVT are handled correctly

[*] Character colouring information is now saved along with the screen dump in
    DN.ERR

[*] The Anonymous string used in Tetris, as well as the On and Off strings
    appearing in the editor menu, became language dependent


   Version 1.51.04
  ---------------------------------------------------------------------

[+] The file list creation function has now the option to add specific strings
    or file contents to the top and/or bottom of the list being created. The
    Insert text mode inserts the text line specified before the beginning or
    after the end of the files list. Insert files mode inserts a sequence of
    text files whose names are specified and delimited with ";", with a
    non-fatal warning message for each nonexistent file. In the Auto mode,
    when at least one of the files listed and delimited with ";" exists,
    the function works like in Insert files mode except that no warnings for
    non-present files are generated. Otherwise, the Auto mode works like the
    Insert text mode

[-] Fixed an old minor bug related to FTN adress handling when creating file
    lists

[*] File lists visited with the Read file list command are now recorded in the
    directory history. File lists, as opposed to directories, are shown
    without the trailing "\" in the history list

[+] Added "logarithm of y by the base x" function to the Calculator:
    log(x,y) (x>0, y>0, x<>1)

[*] The Calculator now correctly raises to negative powers: x^y (y<0)

[-] Incorrect argument values for arcsin(x), arccos(x), sec(x), cosec(x) and
    fact(x) now result in an error message rather than a zero value

[-] Up arrow in the Calculator caused previous command selection from the
    command line. This was an erratic behavior

[-] The clipboard.dn file was created on exit even if SaveClipboardOnExit = 0

[*] On external program invokal, an "@echo off" line was put at the end of the
    temporaty bat or cmd file. Now it is put at the beginning as well

[+] The User Menu parameters (lines starting with "<=") can now contain
    macros, so an expression like <=!:\! would be handled as expected.
    To specify "!" and "$" characters literally, type them twice, as usually

[*] Some amount of lower memory was freed by placing the Novell unit in the
    overlay module

[-] Creating a file with Shift-F4 in a directory with System, Hidden or, in
    some cases, other attributes, resulted in an "Invalid file name" error
    message

[*] Extract with path names setting is now stored in the configuration file
    between uses of the extraction dialog

[-] Updated the list of archive file extensions

[*] Fixed default options for ARJ

[*] Fixed ARJ, CAB, LHA, TAR archive identification

[+] Added suppport of NE executable SFX archives, as well as WinZip archives

[*] Improved support of LX and PE executable SFX archives

[-] Files with GZ, Z and $Z extensions sometimes were not highlighted as
    archives

[*] Files with 777, ACB, BOA, IMP, J extensions are now highlighted as
    archives

[-] Fixed some bugs related to directory handling in ARJ, HA archives

[+] Added support for ACE, AIN and ZXZIP archivers

[*] The Current archiver command brought to the top of Archivers menu

[*] A submenu that does not fit the screen, for instance the Archivers menu,
    is now scrolled

[*] The first submenu of the main menu (the System Menu) is now shown as the
    "." (#4) because of the previously used character (#240) sometimes
    appearing as a cyryllic letter. There is an option to specify any other
    character instead

[-] "UU-encode" and "Directory tree" commands in the Russian resources were
    both bound to Ctrl-F7 hot key

[-] The drive selection menu from Ctrl-F3 and in some other cases was shown
    with a very strange shadow

[-] The current directory name containing a tilde character was shown
    incorrectly in the drive selection menu as well as long file names with
    tilde characters were displayed in weird colours

[*] Brought back the colour customization options for the Trash can

[*] Cosmetic fixes to the Russian resources (some strings were in English,
    one message was broken, highlighted letters caused a conflict in the
    editor menu, the menu items order was different from the English
    resources, highlighted letters caused a conflict in the Archive dialog) as
    well as the English resources (highlighted letters caused a conflict in
    the Archive dialog)

[+] The prompt to copy next file when there is insufficient space for the
    current one now has an All button, which causes Yes to be implied for all
    such prompts for the duration of the current copy operation

[*] When Check free space option is on, the destination drive is checked to
    have enough free space to accomodate all the files, and if it has not,
    a prompt to attempt the copy operation is displayed

[-] Deleting a file's description from descript.ion, files.bbs sometimes left
    a blank line in the description file

[-] The Horizontal scroll bar in the editor window was sometimes shown
    incorrectly

[-] When the editor window became inactive and its border turned single-lined,
    the left border remained double-lined

[+] Replace All operation in the editor is now undone and redone as a single
    action

[-] Ctrl-J in the editor with Russian resources opened the Terminal window
    instead of executing macros

[+] A new hotkey Alt-" (Alt-quote) quickly toggles the hidden files display
    mode

[-] Some keys pressed with Shift while quick searching could cause DN to
    change to the upper directory

[+] Alt-Z zooms the current panel to the full screen or restores its prior
    state

[-] Fixed a bug related to Alt-Z handling in the viewer

[+] The editor window can now be horizontally zoomed just like the viewer by
    pressing Alt-Z

[-] F3 opened all files as plain text, ignoring DBF and WKZ extensions

[-] The Word wrap options worked only when the Line wrap was on

[-] In the hex viewer for short files it was possible to use Ctrl-PgDown only
    after a Ctrl-PgUp

[+] When reading new or updated DN.INI, the parameters are saved in the binary
    form to dn.cfg. If DN.INI was not touched since the last start, it shall
    not be read over again

[*] All DN.INI parameters related to the Clock were moved to the new [Clock]
    section

[*] The SmallClock parameter was renamed to ShowSeconds and its meaning was
    inverted

[*] There is a space and not comma between the day-of-week name and the date
    shown by the clock while Ctrl is held

[+] When ShowSeconds = 0, the colon between hours and minutes flashes every
    second

[*] Fixed clock positioning logic. When they are in the right half of the
    screen, they are right-aligned to a fixed horizontal position,
    and when they are in the left half, they are left-aligned. Also fixed the
    intermediate state between ShowSeconds = 0 and ShowSeconds = 1

[*] File attributes window now shows four digits for the creation date

[+] The new Change language command in the System menu (Alt-F12 hot key)
    changes the current interface language 'on the fly'. It causes the
    ActiveLanguage DN.INI parameter to change its value and DN automatically
    restarts (the user is prompted to save all the files being edited). Some
    windows still fail to change its language automatically (Editor, CD
    Player, some other) and they are to be closed and opened again

[*] The resource files for each language have the new names <language>.lng and
    <language>.dlg, and the help file names are <language>.hlp. There is no
    need to rename these files anymore. It is strongly recommended to delete
    the old dn*.lng, dn*.dlg and dn*.hlp files, because their presence can
    invalidate the language switching logic

[+] Since the old resource files can cause the quick language switching
    feature to malfunction, DN automatically checks for files names dn.dlg,
    dneng.dlg, dnrus.dlg, dn.lng, dneng.lng, dnrus.lng, dn.hlp, dneng.hlp,
    dnrus.hlp on the first start. If any are found, DN shows the list of old
    files and offers to automatically delete them. If the user refuses, the
    prompt will never appear again

[*] The "Please report to RIT" string in the fatal error message is replaced
    by "Report to RU.SHELL.DN"

[*] Reorganized the authors information shown with Alt-I in the About box;
    updated the "About Navigator and its authors" help topic

[+] New DN.INI parameter type: char, which means any single character

[+] New DN.INI parameters:

    [Interface] section:

    SystemMenuChar = long
    - The character to be used for the System Menu. Specified as the decimal
    ASCII code

    [Clock] section:

    ShowCentury = bool
    - show four digits for the year while Ctrl is held

    ShowDayOfWeek = bool
    - show day of week while Ctrl is held

    DaysOfWeek = str
    - specifies names for days of week shown while Ctrl is held, different
    from the language default. When the value is 14 or 21 characters long,
    it is considered a sequence of seven three- or four-letter names
    respectively. The names are listed without spaces, starting from Sunday,
    for instance, SunMonTueWedThuFriSat. If the parameter has some other
    arbitrary length, is left blank or omitted, the language default is used

    [Editor] section:

    AutoBracketPairs = str
    - specifies any number of bracked pairs for the AutoBrackets feature. This
    value has no effect on the bracket search feature. The default is ()[]{}<>

    [SmartPad] section:

    LineChar = long
    - specifies the delimiter character to be used by SmartPad, as its decimal
    ASCII value. The pseudographic symbol used by default (-) is not desirable
    sometimes as it is not always correctly xlated

    [Game] new section:

    EnableGame = bool
    - set this to 0 to disable the built-in Tetris game

    [Language] new section:

    ActiveLanguage = str
    - A non-empty value is taken as the current language name. For example,
    ActiveLanguage=russian specifies that rusian.* resource files should be
    used. When this value is blank or omitted, the DNLNG environment variable
    is used. And when it is not present too, English is used

    HelpLanguageOverride = str
    - A non-empty value is considered the name of the help language. For
    example, HelpLanguageOverride=english forces usage of english.hlp. When
    this value is blank or omitted, the current interface language is used for
    help. If there is no help file for that language, English help is used

    ShowLanguageMenu = bool
    - A value of 1 means that the Change Language command (or Alt-F12) must
    show a menu listing all the languages available (the list of languages
    available is retrieved by scanning the DN startup and %DNDLG% directories
    for the resource files). This behavior is convenient when there are more
    than two languages installed. The value of 0 means that the command must
    automatically cycle to the next language available without showing a menu.
    0 is the default value


   Version 1.51.03
  ---------------------------------------------------------------------

[+] Most of the units are moved to the overlay module, freeing a reasonable
    amount of lower memory

[-] Fixed Russian resources: Ctrl-J did not always work for opening Terminal

[+] The authors list shown in the About box after pressing Alt-I is now
    scrollable with up and down arrows

[+] Day of week is shown together with the date while holding Ctrl

[*] When SmallClock DN.INI parameter is set to 1, the clock is right-aligned

[+] Modified DN.INI parameters are applied right after saving without restart

[*] Improved tab character handling logic in editor

[-] Files with HPK extension were not highlighted as archives

[*] Files with ACE, AIN, GZ, TAZ, TGZ, Z, $Z extensions are now highlighted as
    archives

[-] The Current Archiver Setup command was absent in the Russian resources

[-] Some archivers setup window titles were broken

[*] All archivers are now listed in the alphabetical order

[*] The CAB archiver is now available in the Archive dialog (Shift-F1)

[*] System Information window shows more precise and correct data, including
    currect identicifation of CPU type

[-] Garbage was shown instead of long file names under pure DOS

[*] Chanded highlight group defaults: added CFG to group 2 and JPE, PNG, TIF
    and TGA to group 5

[+] New DN.INI parameter: CopyLimit8M = bool - enables eight-megabyte copy
    buffer size limit under Windows ([Kernel] section)

[*] The eight-megabyte copy buffer size limit is now effective only under
    Windows when CopyLimit8M=1 in [Kernel] section of DN.INI

[*] Changed archiver setup defaults: ARJ, RAR and ChArc now save empty
    directories, correct switch set for maximum ARJ compression, removed
    unneeded switches for TAR, HA, HPK, tweaked ZIP, LHA directory structure
    storage, added RAR, LIM compression level switches, returned the original
    name to ChArc

[-] The debug file dnedit.dbg was created even when DebugMode=0

[+] Can now enter LX and PE executable SFX archives

[-] Fixed TAR archive identification bug


   Version 1.51.02
  ---------------------------------------------------------------------

[*] Cosmetic fixes to English and Russian resources

[-] Fixed a resource bug in the text search dialog

[*] The date inserted by SmartPad now has four digits for the year

[-] Fixed editing of text files with tab characters

[-] Fixed trailing garbage copied to Windows clipboard

[*] Untitled.TXT is not shown in the Clipboard window title anymore

[-] Fixed search dialog for dbf databases (moved one field)


   Version 1.51.01
  ---------------------------------------------------------------------

[!] Dos Navigator becomes the Open Source Project (see dnosp.txt for details)

[+] Added arcsin(), arccos(), sec(), cosec() and fact() (factorial) functions
    to the Calculator

[-] When changing to a directory named AUTOEXEC.BAT, a prompt was shown to
    run the file named AUTOEXEC.BAT. Fixed

[-] Fixed a bug related to pathnames in archives

[*] Returned old behavior (removed in DN 1.51): a beep is generated after a
    copy operation only if that operation took longer than 30 seconds

[+] Can now specify a pattern filter for files that are to be used for
    directory comparison

[-] Fixed a bug: a sequence of #00#09 could not be saved by the editor

[-] Fixed UNIX text files viewing (where lines are LF terminated)

[+] Added the Word Wrap feature to the viewer

[+] The viewer window can be horizontally zoomed with Alt-Z (with vertical
    border lines disappearing)

[+] Added Microsoft CAB archives support (extract only, no publicly available
    compression utility is known at the moment)

[+] Added Show Clipboard menu command. Collects previous clipboard contents

[-] Fixed pasting from Windows Clipboard

[+] Full ASCII (866), ANSI (1251) and KOI8-R codepages support in editor. Use
    F8 to cycle between them, printing moved to Ctrl+F8

[+] Added DN.INI text configuration file. See below for the options

[*] Auto positioning in Alt+0 window selector is done either to the previous
    (by Z-order) window or to the previous editor window (WinManagerSelectNext
    and WinManagerPosToEdit parameters, respectively)

[*] Arrows move between buttons in dialogs

[-] String overflow checking is done when searching files

[+] Long name for the current file is shown in the mini status

[*] The drive list invoked with Alt-F1/Alt-F2 is now scrollable

[*] Vertical centering of the drive selection box (Alt-F1/Alt-F2) is available
    as an option

[+] Ctrl+U goes to the end of word in editor

[+] Alt+/ toggles case of the current letter in editor

[+] Alt+F12 converts selected text between Russian and English to correct
    typing errors caused by incorrect keyboard mode

[+] The codepage used by editor for all new files is a user option

[+] Complementary begin/end, case/end, if/then, repeat/until search feature

[+] Quick bookmark access bar appears in editor window

[+] Bookmarks are shown on the left border of the editor window

[+] Alt+Up/Alt+Down can be used to navigate among selected files in the File
    Manager

[+] AutoScopeDetect option (see appendix for DN.INI)

[+] When a filter pattern is set and no files are selected, the current filter
    pattern is shown in the mini status (ShowFileMask DN.INI option)

[+] Ctrl+Enter in editor opens the file whose name the cursor is on. The
    search paths are described in dn.spf (see also DebugMode below). If
    Ctrl+Enter is pressed and dn.spf does not exist, an empty dn.spf is
    created containing detailed comments with format description

[+] DN.INI and DN.SPF can be edited via the Options menu

[*] Right Shift alternates line drawing style when used in linedraw mode

[+] Search in all codepages is available

[+] Redo feature in editor

[-] Fixed a bug related to undoing vertical block opeartions

[-] Fixed copying bug

[*] The network path mapped to each drive is shown in the drive selection menu

[*] Can disable SmartPad automatic date insertion

[*] Added "<>" brackets to the AutoBrackets feature

Appendix: Dos Navigator startup options (DN.INI)

  * bool - can take values: false/true, 0/1, no/yes
  * str  - a string parameter
  * long - an integer parameter (longint)

===========================================================================

 [Interface]

 CutDriveInfo = bool        - shorten drive information in Alt+F1/F2 drive
                              selection menu
                              default: 1

 HideLocalCurDir = bool     - do not show current working directory for local
                              drives in Alt+F1/F2 drive selection menu
                              default: 0

 SmallClock = bool          - show clock without seconds
                              default: 0

 HideNetworkCurDir          - do not show current working directory for
                              network drives in Alt+F1/F2 drive selection menu
                              default: 1

 WinManagerSelectNext       - position to the next window rather than the
                              current in the Alt+0 window selection list
                              default: 1

===========================================================================

 [SmartPad]

 InsertDate = bool          - insert date on SmartPad invocation
                              default: 1

===========================================================================

 [Kernel]

 AutoSave = bool            - save DN.INI on startup
                              default: 1

 DebugMode = bool           - debugging flag
                              when on:
                                1) The spf.dbg debug file is created in the DN
                                   directory on Ctrl-Enter in editor,
                                   containing the list of all directories last
                                   searched
                              default: 0

===========================================================================

 [Editor]

 UnlimitUnindent = bool     - defines the Ctrl+K U behavior in editor
                              (unindent only while all the lines have leading
                              whitespace or regardless)
                              default: 0

 Koi8rKeyMap = bool         - include or not KOI8-R in the editor codepage
                              selection loop (F8)
                              default: 1

 DrawRShift = bool          - right Shift alternates linedrawing style
                              default: 1

 AutoScopeDetect = bool     - automatic setting for scope when searching:
                              Selected text when there is selection or Global
                              otherwise
                              default: 1

 ShowBookmarks = bool       - show bookmarks on the left border line in editor
                              default: 1

 FastBookmark = bool        - show bookmark quick access bar
                              default: 1

 DefCodePage = str          - the default codepage for newly created editor
                              files (Dos, Win or Koi)
                              default: Dos

 FastSearchDeep = long      - searching complementary begin/end, etc can fail
                              when comments contain these keywords. It is
                              recommended to set a limit for the nesting depth
                              to about 300 to prevent the editor from
                              searching through the whole text
                              default: 0 (unlimited search)

 WinManagerPosToEdit = bool - position to the next editor window in the Alt+0
                              window selection list (overrides
                              WinManagerSelectNext)
                              default: 1

===========================================================================

 [FilePanels]

 ShowFileMask = bool        - display filter patterns other than *.*
                              default: 1

 ShowLongName = bool        - obsolete, replaced by 'Long name in bottom'
                              panel option

===========================================================================

 [NetInfo]

 NoLevelsInfo = bool        - do not include SFT/TTS Lev. info in the network
                              information summary
                              default: 0

===========================================================================

 [Clipboard]

 SaveClipboardOnExit= bool - preserve clipboard contents between runs
                             default: 1

 MaxClipboardSize = long   - maximum size of clipboard contents collected
                             default: 4096

===========================================================================


   Version 1.51
  ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ

[þ] Dos Navigator is now FREEWARE.


   Version 1.50 Build 002: changes since Build 000
  ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ

[-] Fixed a bug with UUEncode, that could corrupt the configuration file.

[-] Fixed a bug with adding dummy empty lines to the end of descripytion files.


   Version 1.50: changes since 1.42
  ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ

   Global
    ßßßßßß

[!] DN is now using extended (AT) keyboard so this version is not possible
      to run on old machines...

[!] Code is optimized for 286+ CPU, so now works slightly faster, but is not
      able to run on 8086-based computers.

   New HotKeys
    ßßßßßßßßßßß

[+] 'Hotkey Overview' topic added to 'Help on Help'

[*] Ctrl-K toggles descriptions in file panel.

[*] Ctrl-Y toggles full display mode in file panel.

[*] Alt-F11 runs Navigator Link.

[*] Shift-F11 opens Spreadsheet.

[*] Ctrl-F11 runs CD Player.

[*] Alt-G in editor - 'goto line number'.

[*] Quick Dirs came back in Tree Panel.

   UU Decode / Encode
    ßßßßßßßßßßßßßßßßßß

[+] "Recover Broken Files" option.

[+] Can process LowNoizeUUE.

[-] Fixed bug with decoding binary files and single-line sections.

[-] Prefix 'table' is now processing without troubles.

[-] Fixed bug with encoding on large sections (>700 lines)

   Viewer
    ßßßßßß

[+] Possible to edit fields while viewing DBF-files (by pressing F4 on field).

[*] Date in DBF Viewer is shown accordingly to Country setup.

[*] Shift+F2 hotkey for saving changes in Hex mode in Viewer and Disk Editor.

[-] Some bugs in DBF Viewer causing Share Violation and 'forgetting'
    temporary files in the TEMP directory.

[-] Structure of empty database files is displayed without dropping to
      hex-view mode.

[-] Fixed bug, caused crashes while viewing files with more than 128 tab
      characters in a row.

[-] While Tracking Viewing History, file could be truncated (by another
      process), and DN tried to achieve unexisted data beyong end-of-file,
      displaying "dirty memory dump".

[-] Fixed crash when trying to scroll down emty file by mouse.

[-] Fixed bug with loosing last character on line while scrolling up
      UNIX-style text files (0A as a new-line character).

[-] Bug in when wrapping lines with Tabs.

[-] Fixed percent calculation while searching substrings.

   Editor
    ßßßßßß

[!] Confirmation about modifing files with Read-Only attribute is now asked.

[+] "Optimal Fill" in local editor options.

[+] Tab size in Editor Setup.

[*] Alt-G hotkey came back - 'goto line number'.

[*] Improved speed of Vertical Block Sorting.

[*] It is now possible to save large blocks in editor

[*] Autobrackets facility is working only if the cursor character is space
    or the cursor is beyond the end of the current line.

[-] Bug with moving block in "freshly" edited line.

[-] Heap memory blocks have not been allocated correctly - it caused
      memory losses.

[-] The first line of text file might have been lost while loading within
      invalid XMS/EMS environment.

[-] Fixed autowrap - DeltaX allways corresponds to Left Side.

[-] AutoWrap/AutoIndent local and global setting might have been ignored.

[-] Fixed bug with calling 'Undo' by clicking the menu item.

[-] The following block commands came back:
       Mode    ³ Ctrl-B V
       Justify ³ Ctrl-B J
       Rigth   ³ Ctrl-B R
       Left    ³ Ctrl-B L
       Center  ³ Ctrl-B ‘
    (Ctrl-B called ASCII table before)

   Archives
    ßßßßßßßß

[+] Size of '..' entry indicates the total amount of bytes of all files in
      current archive directory.

[*] Speed of reading archives improved.

[*] "Archiver Setup" dialog box (Options|Archives) now have displayed on its
      title the name of archiver currently being setting up.

[-] Fixed multiple-volumed ARJ archives reading.

[-] Fixed bug, which caused to determine wrongfully some files as ZOO or ARC
      archives.

[-] TDRs being extracted from archive for viewing no more stay in temp dir
      unerased.

[-] Options|Archives|Current archiver setup did not work properly - it
      was always tuning ARJ's settings, instead of "Archive Type" checkbox
      value of "Archive Files" dialog.

[-] RAR archives with dot-ended directory names (e.g. 'DN.\*.*', created
      using 'rar a -r dn dn.' command) are now viewing OK.

[-] Fixed "Swap when unpack/del/test" option in archiver setup. Now an
      archiver can be safely called without swapping DN (but in shorter
      memory space), and it significally improves the speed of archives
      processing.

[-] Turning on QuickView on open archive, and extracting a file, caused
      system crash, until desktop file was not erased from elsewhere.

[-] After extracting files from an open archive, or executing DOS commands,
      archive date ('..' entry) became undefined.

[-] Fixed percent calculation of large files in archive viewer.

   File Manager / Panels & Drives
    ßßßßßßßßßßßßßßßßßßßßßßßßßßßßßß

[+] File|Unpack diskette images (Ctrl-I).

[+] "Do not kill descriptions" option added to Options|File Manager|Setup
      dialog box. It's now possible to control whenever the descritions
      should be preserved or removed from "descript.ion"-like files, when
      the descripted panel elements (files/directories) are removed by
      Erase/Move operation.

[+] Shift-Enter works on TEMP/List panels as well as on Find one.

[+] Seconds are now used in time comparing, also DN would not be confused
      with dates in 21'th sectury.

[+] Added Ctrl+R hotkey for re-reading tree.

[+] Del key for removing directories from Tree Panel (if appropriate option
    is set).

[*] It is now possible to call Directory Tree dialogue from Archive/Find/
    Branch/Temp file panel.

[*] File Manager: it's not possible to drop a directory to itself
    (if confirmation of mouse operations is switched off).

[*] Full-new 'Advanced Filter' (Alt-Del) logic.

[*] 'All drives' option of FileFind doesn't scan CD-Drives when not
      necessary as well as floppies.

[*] The dot does not appear after directory name when dropping it to cmdline
      by pressing Ctrl+[Shift]+Enter.

[*] Directories history can be obtained also from archive/find/temp drive
      panel.

[-] "Long Descriptons" in info panel disappeared after rereading (Ctrl-L) or
      changing "Columns Setup" (Alt-K) or "Description Mode" (Ctrl-K).

[-] Long descriptions are taken considerably to contens of Options|
      File Manager|Setup field, unlike 'files.bbs', hardcoded into previous
      versions.

[-] File manager did not operate huge numbers (>2^31) - now fixed due to
      large drives and archives/TDRs.

[-] Confirmation about launching AUTOEXEC.BAT no more asked from FileFind
      panel.

[-] DN could not operate with files, which has percent characters
      in its names - bug in earlier versions took these characters as
      string format specifiers.

[-] Fixed bug with reading empty root directories (e.g. formatted diskettes).
      In some cases it could corrupt the heap.

[-] Fixed bugs, caused system crashes and memory losses of 'Change Directory'
      Tree Dialog (Alt-T).

[-] Bug with dragging files with tilda characters in the name.

[-] Quick file rename with Alt-F6 doesn't lose file descriptions anymore
    (if the description was visible during renaming).

[-] Weird bug with cursor appearing in both panels after a disk error.

[-] Directories descriptions are no longer forgotten in the source directory
    during copy/rename operation.

[-] Fixed bug with Copy / "Refresh old files".

[-] Was unable to call Copy/Move and some other dialogs just after making list
    file.

   Miscellaneous
    ßßßßßßßßßßßßß

[+] Long time operations (loading files for edit, scanning drive trees,
      directory branching and sizing) can be cancelled by pressing ESC key.

[+] 'Multilanguage' critical errors.

[+] Options|Configuration|Startup|TimeSlicing Options
      [ ] DOS Idle (Int28)     Ä  periodically returns to DOS remainings of
           time intervals by calling Int28. This option alone is compatible
           with timeslicing mechanism of previous versions of DN.
      [ ] Sleep when inactive  Ä  when it is nothing to do, and no key
           pressed during several seconds, DN falls asleep.

[+] Options|Configuration|System Setup|Options|Flush disk buffers - if set on,
      DN forces File System Manager to flush immediately all write-back
      buffers after copying/erasing files

[+] Options|Configuration|System Setup|Options|Advanced copy
      [ ] When this options is set off, DN doesn't use EMS/XMS memory
            for filecopy buffering (the only conventional - all amount).
            It always copies only one file at a time - doesnt open
            a next file for reading before finished writing the current one.

[+] "Autodetermine" checkbox in Make List File dialog. If this option is set
      "on", every call to this dialog will make to determine the necessaty
      of paths (and set "Store path names in list files" automatically).
      Considered path names are useful only on Branch/Find/Temp-Drives,
      instead of a similar diskdrive panel. If "Autodetermine" option is set
      "off", the value of "Store path names" checkbox is not set
      automatically when calling dialog, but is preserving since last call.

[+] Screen Grabber now handles PgUp/PgDn and Home/End keys. Movement /
      resizement scale is also affected by Ctrl key.

[*] Semicolon is used as comment character in .MNU file.

[*] Improved speed of copying files.

[*] Empty field of "Temporary Directory" (Options|Configuration|System Setup)
      is treated as a value of %TEMP% (or %TMP%) environment variable.

[*] DN doesn't allocate more than 8 MB RAM for copy buffer to avoid
      unnecessary virtual memory swapping under multitasking envoronment.

[*] Branch, FileFind and Archive Viewers are now able to use
      EMS/XMS/SwapFiles, so their file storage possibities are expanded.

[*] Workaround for a bug of OS2 Warp 4 (Merlin) gammas - turn off
      Options|Configuration|System Setup|Options|Advanced copy - it will slow
      down copying and erasing, but will prevent system traps while erasing
      subdirectories.

[*] Windows 95 doesn't try to switch windowed session to full screen
      every time when DN examines VESA-BIOS presence on startup.

[*] Validating file creation date in 'Change File Attributes' dialog.

[*] When Screen Mode is changed, the clock is now properly positioned.

[*] Disk Formatter: Volume Label length is now correct (11 characters).

[*] Formatter and File Search windows are now shown in Window Manager.

[-] Fixed bugs with displaying copy gauges on large files (>~30Mb).

[-] Improved speed of erasing files. Earlier were doing it not so fast
      because of always trying to clear ReadOnly attribute before erasing
      file, even if this flag was absent.

[-] Value of "Options|Configuration|System Setup|Disable XMS/EMS usage"
      checkbox have been ignored in earlier versions - now fixed.

[-] Fixed calculator's "power" operation.

[-] Bugs with numbers beginning with '.' in Calculator and Spreadsheet.

[-] Fixed traps, appeared in calculator when character data was passed to
      function's argument, e.g. "EXP(A)".

[-] After modifying spreadsheets (WKZ) panel still left unrefreshed until
      pressing Ctrl-R.

[-] Now now DN asks to overwrite before copying (F5/F6) read-only files
      too - bug in earlier versions overwrote them without any confirmation,
      unlike normal files.

[-] Button width in message boxes now corresponds to caption width to prevent
      wrapping in international builds.

[-] Reanimator and Environment editor windows did not answered on Ctrl-F5
      keyboard combination (Size/Move Window command).

[-] "!\" and "!/" extension specifiers are now parsed normally, without
      a last character loss.

[-] Answering 'Cancel' on confirmation to save modified file before
      running external program or archive swapping, caused crash. Now fixed.

[-] When the amount of available extended/expanded memory was not
      enough to allocate overlays completly, DN halted with fatal error. Now
      in this case it leaves overlays on disk, but uses extended/expanded
      memory for other needs.

[-] Fixed problems with Advanced Format Dialog Box disposing.

[-] Terminal window resizing painted background with an invalid color.

[-] Redial timeout in autodialer is now working.

[-] Scrollback buffer overflow did not handled correctly and could
      hang the system.

[-] Printer Setup | Ending string value was ignored, it was always taken from
      Initial string.

[-] DN could not change the descriptions of TDR's with ReadOnly attribute,
      which is default for this type of files.

[-] Fixed problems, caused memory losses on TDR processing.

[-] Fixed displaying of tilda character in file name of copy dialog boxes.

   Navigator Link
    ßßßßßßßßßßßßßß

[!] Navigator Link allows to access remote computer by a common file panel.
    The following features are implemented: Create/Remove directories,
    Copy, View and Erase files.

    Navigator Link uses its own communication protocol, a kind of Niagara(tm)
    block transfer protocol, developed by RIT.

    Advantages:

    - block streaming mode:
        Navigator Link works seamlessly in server/slave mode and doesn't take
        full CPU time during link session. Using of FOSSIL interface allows
        you to work via packet transport protocols (ipx/spx, tcp/ip) and other
        hardware (parallel port), if you have an appropriate FOSSIL driver.
        We left FOSSIL-driver writing for third-parties yet...
    - bi-directional mode and true full duplex:
        Both machines linked by DN have equal rights on each other's drives,
        and both can work with remote simultaneously.
    - advanced errror correction:
        Navigator Link uses double-level selective reject method, so it works
        even on high-noise lines.
    - real-time data compression:
        Link allows to transfer text files and directory data twice faster
        on the same line. The compression works more efficient than modems'
        internal compression methods.


   Version 1.42: changes since 1.41
  ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ

  Interface
  ~~~~~~~~~
  [+] Ctrl arrows are now working in InputLines
  [+] Editor and viewer histories tracking (<Alt-PgUp> and <Alt-PgDn>
      respectively
  [+] It's possible to move beetwen marked items by <Arrow Left> or
      <Arrow Right> in all history lists except InputLines histories
  [*] ASCII table by <Ctrl-P> (<Ctrl-B>) in InputLines came back

  Editor
  ~~~~~~
  [-] Search by whole bug words in editor

  File Manager
  ~~~~~~~~~~~~
  [+] Ctrl-Shift-Arrows work for Drive Lines, it doesn't matter that
      Command Line contains a string or not
  [+] A## and R## are now treated as archives (# = 0,1,2,...,9)
  [+] (AltF1/2) if you hold Shift key when select a drive, the panel will be
      selected
  [+] Directory history (manageable by same way as other histories) by
      Alt-Backspace from a file panel
  [+] Go to upper directory with BS option
  [*] Tag Character selection came back
  [*] Descriptions are now copied to the file with descriptions already
      presented in the destination directory
  [*] Filenames in description files are now stored in the upper case
  [-] Space is no longer added before first file name when store file
      names in the Clipboard from a file panel
  [-] Shift-Enter wasn't going to correct place if there was an archive opened
      in the inacitve panel

  File Viewer
  ~~~~~~~~~~~
  [+] XLat tables usage in Viewer by <Shift-F6>. *.XLT files
      (placed in XLT subdirectory) have following structure:
        <byte1><xlated byte1>..<byteN><xlated byteN>
       eg:
       with XLT file containing
           A!B!C! i.e. (hex dump): 41 21 42 21 43 21
        you will see letters A,B,C replaced by symbol "!"

  Terminal
  ~~~~~~~~
  [+] Possibility to set Data Flow Control for a communication port
  [-] Some bugs in the terminal (ANSI emulation, video mode changing)
  [-] Bug in the terminal scrollback buffer which was causing scrolling
      stops, lines duplicating and sometimes even system crashes

  CD Player
  ~~~~~~~~~
  [-] Mixer came back

  Spreadsheet
  ~~~~~~~~~~~
  [-] Bug with formulas ajustment after a deleting/inserting operation


   Version 1.41: changes since 1.40
  ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ

  [þ] Bugfix release, there are no major improvements, but a lot of wierd bugs
      were fixed

  Some details:
  ~~~~~~~~~~~~~
  [-] Palette/blinking bugs: after video mode change, screen savers etc.
      palette and blinking settings weren't affect
  [-] System hung after connect when a number was dialled from thew phonebook
  [-] Random color pallete for typeless files when Sort Mode was by type
  [-] It wasn't possible to install Help file
  [-] Uppercase of vertical blocks wasn't working properly
  [-] Multiply operations bug with archivers which aren't supporting
      filelist (there weren't spaces beetwen file names)
  [*] Autohide command line feature is improved: if the command line
      is empty, it's now shown after switching back to File Manager
  [+] "In-place" rename possibity by [Alt-F6] in File Panel
  [+] "Store viewer position" option

  Build 002:

  [-] [Alt-Enter] wasn't functional in File Panel

  Build 003:

  [-] Bugs with cutting desktop windows caused by auto hide Command Line
  [-] Bug in Editor when loading files with CR at the end
  [+] ForceCR, ForceLF and ForceCRLF for specified files in DN.HGL for
      forcing Line dividing style


   Version 1.40: changes since 1.39
  ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ

  [þ] Perfomance is very improved
  [þ] A couple of big and small bugs squashed

  Miscellaneous (interface)
  ~~~~~~~~~~~~~~~~~~~~~~~~~
  [+] Advanced history maintenance - now the history doesn't depends
      from Desktop file and it's possible to keep only strings you need
      after restart of DN
  [+] Use system Clipboard option in System setup for sharing Navigator's
      Clipboard with Windows.
  [+] <Interface Setup> options added:
         [Command line autohide] for hiding command line when Editor, Viewer
                                 etc. are active
         [Block Insert cursor]   for big cursor in Insert mode (Editor,
                                 Input lines)
         [Store editor position] to store last Editor window position and
                                 use it when new Editor window is opened
  [+] Time-meter command prompt - {C:\} for counting a command execution time
  [+] Command prompt switcher: Shift-Alt-/ changes command prompt to previous
      mode
  [+] '/P<filename>' command line parameter to force load palette from file.
  [-] Bug with floating Trashcan
  [-] VESA SVGA modes wasn't functional
  [*] Corrected time-slicing under Windows
  [+] All Point-And-Shoot (extensions) operations, external viewers/editors
      and Quick Run programs are searching their data in appropriate
      local directory files first (and only in case of a failure they are
      using DN directory files).
  [+] If Shift is pressed when click on Options|Extention file edit,
        Options|Quick Run file edit, Options|Editors, Options|Viewers
        menu items local will be got as file to edit.

  File Manager
  ~~~~~~~~~~~~
  [+] Sorting speed improved
  [+] Counting directory length in ARVID archives
  [+] Possibility for FTN nodes with Bink Style outbound to put
      tagged files for particular FTN address:
          1. Add "/FIDO=<addr>,<outdir>" string as a mask to
             Files with descriptions filter,
             eg: "files.bbs;descript.ion;/fido=2:469/38,R:\FL\OUT"
          2. Tag files to be sent and then choose Panel|Make list file
          3. Input <send flag><address> in File Name and clear Action
             (or put #!\!.! if you want to kill the files after send).
             Send Flag is one character meaning type of attachment:
                 '/' for hold
                 '+' for crash
                 '%' for normal
  [+] Copying speed improved
  [-] Bug with skip command in file copying

  Text Editor
  ~~~~~~~~~~~
  [+] Line Draw mode - [F4]
  [+] Reversed search command [Alt-F7]
  [-] Block uppercase wasn't managing first and last words properly
  [-] Some bugs in Search/Replace
  [*] "Wizards" submenu changed to "Misc"

  File Viewer
  ~~~~~~~~~~~
  [+] Search back option
  [+] Reversed search command [Alt-F7]
  [-] Search always begun from the begin of a file.

  Terminal
  ~~~~~~~~
  [+] FOSSIL and INT 14h support
  [+] Scrollback buffer on [Alt-B] or [Shift-]
  [+] Connect Sound option in Terminal Setup for making terrible sounds
      for wake you up after getting a connection from autodialler
  [+] Controls in capture option for preventing (if desired) showing
      control ANSI/Avatar escape sequences in caputre
  [+] Beep after more than 30 sec file transfer in Beep after copy is set
  [-] Bug in reading modem status procedure which caused loosing bytes
  [-] Some bugs in ANSI emulation
  [-] Bug with CD detection while transfers
  [-] Auto Zmodem download wasn't work sometimes
  [-] Only ANSI+Avatar and TTY emulation wasn't functional

  Reanimator
  ~~~~~~~~~~
  [+] Copy command when view file to be reanimated. It's possible to save
      the data to another location


  Version 1.39 (4 October '95 ) - difference between version 1.38 Beta
 ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ

  [þ] Registration procedure was optimized.

 Copy
 ~~~~
  [*] Copy procedure was significantly optimized to speed up copying
      a lot of files.

 Text Editor
 ~~~~~~~~~~~
  [+] Added ability to exchange with Windows Clipboard
      Ctrl-Q C - Copy block to Windows Clipboard
      Ctrl-Q V - Paste block from Windows Clipboard
  [-] Fixed problem with empty lines inserting
  [-] Fixed problem with Replace All when New Text was the same
      as Text to find

 File Panel
 ~~~~~~~~~~
  [-] Tag Character now can be transparent.
      ( to reflect tagging of Hidden and System files )

 Archives Setup
 ~~~~~~~~~~~~~~
  [*] Compression setup for RAR was optimized

 General
 ~~~~~~~
  [-] Fixed bug with Direct Disk Access setup for floppy drives


  Version 1.38 Beta (1 August '95 ) - difference between version 1.37 Beta
 ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ

  [þ] New Cool CD-player
  [þ] Fixed major bug with  Copy/Move in Append/Overwrite mode from
      v1.37 Beta.

 File Copy
 ~~~~~~~~~
  [*] All files being copied from CD-ROM will not have Read Only
      attribute if 'Clear Read-Only from CD' is set in 'Drives Access'
  [*] Settings in file copy dialog will not be stored in configuration file.
  [*] Added ability to use File Split on any drive.
  [*] Now Combine mode will check for files created with use
      'Binary splitting' and will perform normal Copy operation
      on such file(s).

  [-] Now Copy/Move will report message 'Access Denied' if target file
      is blocked ( opened by another process in multitasking system ).
      In cases mentioned above user will be asked to continue or abort
      Copy process.

 Utilities
 ~~~~~~~~~
  [+] New cool look'n'feel CD-player. Fully mouseable. Play tracks by
      order option is now available. User can store play track order
      and CD-player will load and use it later. Now it's become possible
      to describe each CD and track for later display by CD-player.
  [+] UUdecode/UUencode supports *NIX-style ASCII text format.

  [-] There is no requirement to press [ESC] after Screen Grabber.
  [-] Format: Information window was not removed after format
      has been terminated with some errors.
  [-] DBFView will not trash desktop file.

 Text Editor
 ~~~~~~~~~~~
  [+] Added compatibility with *NIX-style ASCII text files.
      Now any text file will be saved in the source format.
      There is a new option 'New editor' in
      Options|Configuration|Editor\Viewers to define new text file format.
  [+] Alt-[ selected block upper case
      Alt-] selected block lower case
      Alt-\ capitalize words in selected block
  [+] New Submenus: Block and Wizards

  [-] In Editor AutoBrackets now function correctly at the end of line.
  [-] Text was not updated after last Search/Replace operation in
      All mode with Prompt on replace
  [-] Ctrl-Del work if size of marked block is more than 64k

 Internal viewer
 ~~~~~~~~~~~~~~~
 [+] <ASCII> button in Find

 [-] Fixed a bug caused an Exception in Hex-mode Input line
 [-] Fixed a bug caused an Exception when ScrollBar Indicator is
     dragging by a mouse.
 [-] if a .DBF file has non-DBF(Database) structure then it view by
     Internal viewer.

 General
 ~~~~~~~
  [+] Command separator "||" will not be used when 4DOS.COM has been
      detected. ( 4DOS.COM users can use "^" instead, because "||" is
      reserved in 4DOS.COM )
  [+] Ability to choose different help file language in DN Install
  [+] There is a new option in System Setup to clear keyboard buffer upon
      program start.
  [+] There is a option to disable global VGA palette usage in System Setup.

  [*] Configuration menu was changed.
      System Setup was changed.
      Startup setup was removed.
      Added Drives access...  and  Directories...
  [*] 'Test Direct Disk Access' will not change Disk Access options in
      configuration file

  [-] Commands history was not functioning when Command line was off.
  [-] Problem with changing Mouse cursor  has been fixed.
  [-] Comment lines will not be copied from DN.XRN into  *.bat
  [-] Bug in VGA-Palette ( problem with TSENG video BIOS )


  Version 1.37 Shareware (13 July 1995) - changes since 1.35
 ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ

  [þ] Demo keys are not supported any more
  [þ] Support for .TDR files - directories of Arvid streamer
  [þ] UU Encode\Decode files opportunity is added
  [þ] New option for Compare directories command 'Compare contents'
  [þ] Setup VGA-palette
  [þ] EMS/XMS usage in text editor
  [þ] Compatibility with MS Windows (Win 3.x, Win'95, NT)
  [þ] Significant improvements in user interface
  [þ] PowerPack for Dos Navigator

 File Panel
 ~~~~~~~~~~
  [+] Select files by [Spacebar]
      (Options|File Manager|Setup|[X] SPACE toggles selection)
  [+] Delete selected files by [DEL] and file under cursor with [Shift-DEL]
      (Options|File Manager|Setup|[X] DEL erases file(s))
  [+] Mark selected files not only with color but also with user selected
      char like 'û' (Options|File Manager|Setup|Tag character)
  [+] New command: Panel|Directory Branch... [Ctrl-H]
  [+] Directory tree dialog full path of directory, number of files in it and
      total size of files are shown
  [+] Insert key autorepeat under plain DOS. Will not work under OS/2
  [+] New command Manager|Show\hide inactive panel [Ctrl-P]
  [+] New command File|Edit|Edit file description  [Alt-Ins]
  [+] Directories are shown in Capital letters, files are shown in small letters
      according to Configuration|Country support. Info Panel shows "real"
      filenames
  [+] It is possible to set information fields, shown on Manager|Info [Ctrl-L]
      Options|File Manager|Information panel...
  [+] Option to define the type of left panel of new file manager
      (Options|File Manager|New Manager defaults)
  [+] It is possible to establish the filter of names of the files in the
      file panel
      (Panel|Advanced filter...  [(Shift)Alt-Del])
  [+] Checking for media type: Hard Drive, Floppy, CD-ROM, SUBSTed drive,
      Network drive, etc.
  [+] New file selection options:
      <Shift> <+>       - select files with extension different from current
                        (only for files)
      <Shift> <->       - unselect files with extension different from current
                        (only for files)
      <ALT> <+>         - select files with same name as file under cursor
      <ALT> <->         - unselect files with same name as file under cursor
      <ALT><Shift> <+>  - select files with name different from current one
      <ALT><Shift> <->  - unselect files with name different from current one
  [+] Directory Tree supports QuickDirs and DriveLine for drive changing
  [+] New option for Compare directories command 'Compare contents'
  [+] Command 'Compare directories' can be invoked by [Ctrl-C]
  [+] Settings in file copy dialog will be stored in configuration file

  [-] CapsLock status was not restored after using [CapsLock+Character] for
      incremental search
  [-] Dragging a name of the file using Drag-and-drop to the self is ignored
  [-] The situation of divider of the right and left panel of the manager
      was not saved at change of a video mode
  [-] The incremental search in file panel does not corresponded with a
      horizontal scroller in description column if it is present
  [-] Clock and CD-Player does not draw on User Screen

 Utilities
 ~~~~~~~~~
  [+] Internal UUencoder/UUdecoder.
        'Filetime' instruction and advanced checksum.
         Ability to manage the different files hashed to section.
  [+] Double click of the mouse on Trashcan will popup Reanimator.
  [+] Clock will display current date if [Shift] or [Ctrl] key
      are holden down.
  [+] Format system disk: If command processor is not 'command.com'
      then actual command processor will be copied and stored
      in newly created  config.sys on floppy disk.
  [+] Phone book - new functions: <Sort> <Search> <Import> <Dupe>

  [*] In the Phone book the items in the groups are now organized
      by a principle of directories and files. Pressing [Enter] on item
      results in automatic start of a Call-back
      (The format of a database DN.PHN was not changed).
  [*] Improvements in Reanimator interface. More correct prognosis is made for
      directories reanimation. This procedure with 'average' prognosis
      may lead to errors in old versions of DN. Now only directories with
      'good' prognosis can recovered.

  [-] Number of bugs in calculator corrected; New logical functions and
      functions of the relations introduced.
  [-] TrashCan will not hide under File Managers.
  [-] Trashcan was not saved in .DSK
  [-] Phone field in the Phone Book had maximal length of 20, so one could not
      fit some long international numbers. Now phone field has length of 100
      characters.

 Text Editor
 ~~~~~~~~~~~
  [+] Size of editable file now only limited by free EMS/XMS memory and
      total number of strings (<30,000)
      (Options|Configuration|Editor/Viewer...|Use XMS/EMS memory.)
  [+] It is possible to set a direction of search
      Forward/Backward and the origin of search Entire scope/From cursor
  [+] 'Save All' command
  [+] New editor mode
      Options|Configuration|Editor/Viewer...|[ ] Cursor through tabs.
      Accordingly it is possible to specify TabSize (Step of tabulation).

  [*] Option Internal Editor [X] in Options|Configuration|Editor/Viewer...
      will assign Internal Editor on [F4] and External on [Alt-F4].
      Otherwise   Internal Editor on [Alt-F4] and External on [F4].
  [*] New Ruler will popup when second mouse button is holden down.
  [*] AutoBrackets worked only if next character was not letter/digit
  [*] Attributes of the file before editing are saved at editing of the
      texts and descriptions (Date and time vary).

  [-] Sometimes editor did not saved its options upon exit.
  [-] 'Replace all' process indicator

 Internal Viewer
 ~~~~~~~~~~~~~~~
  [+] New search option - 'Whole words only'
  [+] Vertical slider can be dragged by mouse

  [*] File attributes are not changed after editing it
      (Date and time are changed)

  [-] Sharing Violation error under Quick View was fixed

 File Copy
 ~~~~~~~~~
  [+] It is now possible to forbid the request of a destination directory
      during Drag-and-drop files, and the copying within the limits
      of one directory is ignored.
      Options|Configuration|Confirmations...[X] Drag-and-drop destination.
  [+] All files being copied from CD-ROM will not have Read Only attribute

  [-] If the DOS command APPEND was started, occurred routing of the copied
      files from appointed directories in a directory, indicated in
      Append, if the files with similar names already existed in these
      directories. Accordingly, anything it was impossible to copy FROM
      these directories. It is especially disastrous had an effect for
      the OS/2 users.

  [-] Read-Only files does not removed under local network (Novell Netware).

 Colors setup
 ~~~~~~~~~~~~
  [+] Ability to change VGA-palette and to save it into .PAL file.
      You can use this palette in DN and in all programs called
      from DN (Options|Configuration|Startup...|[X] Restore VGA palette...)
  [+] There was the opportunity conveniently to set up colors for
      Black-and-White and Monochrome monitors and to save them in config
  [+] There was the opportunity to use "factory" Color\BW\Mono palettes,
      which are stored not in .PAL (external palettes), but in the program.
      Options|Colors...|Default color scheme
  [+] Mixing of RGB colors is forbidden for VGA-palette setup on
      Black-and-White and Monochrome monitors
  [+] In PowerPack is included a program DNPAL.EXE to additional
      manipulations with VGA palettes

  [*] There were corrected many of color setup. Now the colors of many
       interface elements can being set up in Options|Colors...
  [*] Option 'Enable blinking' added to colors setup
  [*] All external palettes are stored in directory called COLORS\

  [-] Now 'black on black' selection in Colors setup works correctly

 Archives
 ~~~~~~~~
  [*] ARCHIVE ONE FILE - default archive name will be the same as a current
      file name
      ARCHIVE SELECTED FILES - default archive name will be the same as a
      current directory name

  [-] Fixed bug in .LHA, .ICE, .LZH archives handling
  [-] Fixed bug in .ARJ archive creation

 General
 ~~~~~~~
  [+] Support of fast start of external applications is entered. The
      structure, describing appropriate .BAT or .CMD files, is stored in
      the file DN.XRN, which owes is in a user directory of DOS Navigator
      Options|Quick run file edit...
  [+] Option for fast executing external programs. Information describing
      corresponding .BAT and .CMD files is stored in DN.XRN  in DN directory.
  [+] It is possible to establish the overlay buffer size for optimization of
      conventional memory:
      Options|Configuration|Startup...|Overlay buffer size
  [+] 'Fast command execution' will be turned off under Windows 3.x
      ( Under Windows 3.x this option will not work )
  [+] Under OS/2 [Alt-/] will change command prompt
      (DOS, OS/2-FullScreen, OS/2-Windowed sessions).
      System prompts is defined in DNL-resource (PowerPack)
  [+] New option Options|Configuration|Startup|Exit on inactivity hour
  [+] New command: File|Execute DOS command...  [Alt-F6]
  [+] Ability to enter characters from range #10..#13 in all input lines.
      Also [Ctrl-B] and [Ctrl-P] call ASCII table for more comfortable input
  [+] Compatibility with MS Windows is improved. Now SysInfo detects type
      of Windows((Win 3.x, Win'95, NT)) and DN gives back TimeSlice to it.
  [+] It is made automatic switching-off Direct Disk Access under OS/2 and
      Windows, but also on Network, Subst, CD-ROM, DoubleSpace, Stacker and
      other drives:
      Options|Configuration|System Setup...|[X] Test Direct Disk Access.
  [+] [Shift+Ctrl+Ins]  -  copy command string to Clipboard
  [+] In all filename lists (Input FileName, Reanimator) mouse support and
      incremental file search implemented.
  [+] New option for Drives Access config - verify writes.
      When destination panel is on drive and 'verify writes' is on for this
      drive then in Copy dialog option 'verify writes' will be turned on too.

  [*] New Install utility
  [*] 'Disable XMS usage' and 'Disable EMS usage' in System setup
  [*] Many options, dialog boxes and menu are ordered...
  [*] DOS Command separator in Command line was changed. Now in side of
       ";" is used "||"
  [*] All external ScreenSavers should be stored in directory called  SSAVERS\

  [-] After changing video mode, clock moved to upper right corner.
  [-] Screen cursor is not hide in external editor.
  [-] Problems with a registering DN on Network or HPFS386 drives
  [-] Not all memory was released under DN, leading to Exception after some
      hours of work.
  [-] Sometimes desktop file was trashed.
  [-] When creating temporary batch files for executing programs from user
      menu, filename could reach 9 characters ($$dn100$$.bat)
  [-] Corrected bug which let only 3 character extensions to be proceeded
      in 'Extension file'. 2,1 and 0 character length extensions are also
      supported now.


  Version 1.35 Shareware (1 February 1995) - changes since 1.33
 ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ

A lot of bugs have been fixed it is just wasting of time to describe all of
them, only major changes here:

 General
 ~~~~~~~
  [+] Install utility
  [+] Possibility to load overlays into XMS/EMS memory (optionally)
  [+] CD-ROM player.
  [+] DOS environment viewer/editor.
  [+] DOS NAVIGATOR checks on loading if it is already loaded and
      then shows warning message.
  [*] Now DN.COM creates flag file in startup directory ( or in DNSWP
      directory ) to prevent overwriting swap file by DN from different
      sessions under multitasking.
  [+] FILES value automatically expands if FILES < 20
  [+] Clearing keyboard buffer upon startup and exiting from externals.
  [+] -Mask in Filter excludes specified files e.g. : *.*;-*.bak
      N.B. If you want to use -FileSpec in filter, you have to specify
      filter from which FileSpec will be excluded (for example, *.*)
  [+] Possibility to hide Command Line (for XTree-like interface).
  [+] Batch-file launching from the Command Line has been improved:
      you can use %1 parameter for name of the current file from the
      currently active File Panel.
  [+] Added 'Preserve directory' option in Startup for forced changing
      directory to last active directory in active File Panel.

 File Copy
 ~~~~~~~~~
  [*] We hope all terrible bugs have been removed here.
  [+] 'Beep after complete operation' for Copy if the operation time was
      longer than 30 sec (set in Options|Configuration|Interface)
  [*] Directory attributes are preserved.

 Editor
 ~~~~~~
  [+] Persistent blocks.
  [+] AutoBrackets function
  [+] Overwrite Blocks mode (for non-persistent blocks only)
  [+] Extra highlight options on specific extensions (See HighLit.DOC)
  [+] Editor macros for different filespec. (See HighLit.DOC)
  [+] Mark single word           - Ctrl+K T
          Copy block             - Ctrl+K C
          Move block             - Ctrl+K V
          Delete block           - Ctrl+K Y
          Hide/display block     - Ctrl+K H
          Print block            - Ctrl+K P
          Move to begin of block - Ctrl+Q B
          Move to end of block   - Ctrl+Q K
          Exit to menu bar       - Ctrl+K Q
          Mark line              - Ctrl+K L

 Internal Viewer
 ~~~~~~~~~~~~~~~
  [+] Dump mode (like in XTree)
  [+] Zero, ASCII and Extended ASCII Filters (Switching by F6)
  [+] Grid for HEX mode
  [+] Go to address command
  [-] Bugs with cursor positioning in search (HEX mode)

 File Manager
 ~~~~~~~~~~~~
  [+] Create several directories from Make Directory dialog using ';'
      e.g. 1;2;3;4;5 creates five subdirectories with appropriate
      names in current directory
  [+] Shift-Enter in Find Panel seeks this file in inactive panel of FM
  [+] F3 on directory = [ALT][G]
  [+] F4 on directory = [ALT][E]
  [+] Full path for current directory in the Directory dialog box.
  [+] Ctrl keys difference (see Options|Configuration|Interface):
      when Left Ctrl is held down, left Panel Drive Line will be
      activated if Ctrl-Arrow pressed and Right Ctrl - for Right Panel.
  [+] Alt keys difference for Quick Dirs: if you press Left Alt - number
      then Left File Panel of File Manager will change current directory
      accordingly number and same for Right Alt and Right File Panel.
  [+] If "Display selected files info" is not set in the Panel Setup,
      current file information will be replaced with information about
      selected files if some files are selected (in other words, it will
      work like in The Norton Commander).
  [+] Make List File command has been improved: added macros '!:' for
      drive, '!/' for file path without backslash . Also it is possible
      to use ';' for multiply commands (e.g. print !.!;del !.!;pause).
      Use ';;' for ';'.
  [+] DirInfo (Directory Information) file handling in the Information Panel.

 Point-and-shoot (run on extension)
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  [+] It is possible to specify several extensions for one command block now.
      e.g. pcx,bmp,tif{win !.!}
  [+] Use ]] for specifying ] symbol in DOS command (inside command block),
      }} for }, )) for )


  Version 1.33 Shareware (31 october 1994) - changes since 1.32
 ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ

1. Copy/Move algorithm has been totally changed.
2. Added possibility to Rename files with matching names when File Copy.
3. Added Recurse directories options in the Copy Dialog Box to store
   or remove recursively directory structure.
4. Statistics for Read and Write in the File Copy window have been separated.
5. Fixed Terminal Grab procedure (Ctrl-Ins, Shift-Ins).
6. Fixed some bugs in Autodialer.
7. Fixed cursor positioning in Disk Editor.
8. Fixed bug with Quick Directory changing from an archive.
9. It is possible to re-read archives by Alt-R.
10. Some bugs in Country support have been fixed.
11. Added Duplicate command in the Text Editor - F4.
12. Some bugs in the User Menu have been fixed.
13. ^V in the Command Line is switching Insert/Overstrike mode.
14. ^Del in the File Panel removes selected files from the current list
    (files aren't physically removed from disk).
15. Entering in directories from TEMP: or FIND: drives in
    "Enter opens directory" mode is possible by ^PgDn keystroke.
16. It is possible to calculate power in the Calculator.
17. FOSSIL support has been removed from the Communication Dialog,
    but it has been replaced by IRQ and Port(hex) values.
18. ZModem has been corrected - file recovery is functioning now.
19. Fixed bug with '$' sign in the command line.
20. File Search by file contents has been fixed.


  Version 1.32 Shareware (4 August 1994) - changes since 1.31
 ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ

1. HPFS conflicts with Direct Disk Access bug - fixed
2. Added internal Screen Grabber to place grabbed images into Clipboard
   of SmartPad(TM). Instead of having all those loose bits of paper
   cluttering your desk, just pop up SmartPad(TM) anywhere in Dos Navigator
   with ALT-Q, make a few notes and then carry on with what you were doing.
3. Fixed bug with deleting directory from Tree Panel.
4. Removed separate Tree Window - Select Directory Dialog is called instead.
   After selecting File manager with Tree panel will be opened.
5. Terminal recompiled with new libraries - I hope that some bugs in the
   protocols were fixed, also Compuserve B+ protocol added.
6. History strings in Terminal added.
7. Terminal Screen Grabber added - (by Ctrl-Ins pressing) - you can place
   screen into String History or into SmartPad(TM) Clipboard.
8. Added FOSSIL support in terminal - see Communications Dialog.


  Version 1.31 Shareware (June 22, 1994) - changes since 1.30
 ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ

1. Added "Quick directory change" function. It is possible to change
   directory to another (which is used frequently) by pressing Alt-n,
   where n is digit (1-9). Use Alt+Shift+0 to get "Quick change" list.
   To store current  directory into "Quick change" list use
   Ctrl+Alt+Shift+n (n from 1 to 9).
2. It is possible to change directory while quick search:
   just type directory name with backslash.
3. Editor:
    Ctrl-[ word upper case (Use Ctrl-Shift-[ to upcase whole line)
    Ctrl-] word lower case (Use Ctrl-Shift-] to lowcase whole line)
    Ctrl-\ capitalize word (Use Ctrl-Shift-\ to capitalize all words in line)
4. Added File Panel Hotkeys explanations in Help.
5. Many bugs fixed (I don't remember all):
   - if drive A: is not ready and A: is active, DN freezes session at start.
   - if DoubleSpace is loaded, DN turn floppy drives on at every start
   - DN couldn't set attributes for read-only file
   - Directories in RAR 1.50 archives was displayed as files too.
   - working with empty Phone Book directories hangs system up.
   - Memo fields messes up when changing cursor position in Phone Book.
   - Disk Format: format terminated if bad sector was detected.
   - disk drive wasn't accessible after non-standard (for example, 800k)
     formatting if external diskette extender was loaded.
6. It is possible to use environment variables DNCFG and DNDSK to set
   specific names for configuration (DNxxxxxx.CFG) and desktop (DNxxxxxx.DSK)
   files. For example:
   SET DNCFG = _OS2
   means that DN will be using file DN_OS2.CFG as configuration file.
   This feature provides to make user and OS specific configurations
   for DN.


  Version 1.30 Shareware (June 1, 1994) - changes since 1.25
 ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ

1. Calculator was changed. Copy button allows to copy result of evaluation in Clipboard according to
  'Copy as'.
   For hexadecimal, octal, and binary numbers you can use all possible
   combinations which existing in different programming languages
   e.g.  0x23AF=$23AF=23AFh, 01234=1234o, 0b100101=100101b
2. It is possible to put selected files from file panel into
   Clipboard by pressing Ctrl+Ins.
   Also you may use Shift+Ins in Command line to get string from Clipboard.
3. Copy algorithm was changed. Now DN can use all available EMS/XMS memory.
4. Now it is possible to copy in non-existing subdirectories - these
   directories will be automatically created. Also you can create
   a new subdirectory using this method.
   E.g. - you want to copy files in directory C:\MYDIR\MYSUBDIR1\MYSUBDIR2.
   But directory C:\MYDIR doesn't exist (and its subdirectories too).
   Don't worry - just type C:\MYDIR\MYSUBDIR1\MYSUBDIR2\ in "Copy to"
   dialog box.
5. OS/2 support:
   þ Alt+'/' - switch to OS/2 command prompt mode. All files (except
     archivers and viewers used internally) and commands will be
     executed by OS/2 command processor.
   þ if NumLock was highlighted when OS/2 session has been started,
     session will be paused after its execution by system command "pause"
6. QuickView and Autochange Directory in file panel was corrected.
7. User menu interface was changed:
   þ User menu is shown with all inheritances like as PullDown menu
   þ If User menu not found in current directory, DN will find out
     User menu in upper directories.
   þ It is possible to switch between Local/Global User Menu while
     User Menu is executed.
   þ It is possible to start edit User Menu after call to it.
   þ Empty line after Menu Item header means Menu separator
     in Menu box.
   þ Macros changed:
          !  - Name of file in active file panel
          $  - Name of file in passive file panel
          .! - Extension of file in active File Panel
          .$ - Extension of file in passive File Panel
          !\ - Directory of file in active File Panel
          $\ - Directory of file in passive File Panel
          !/ - Directory of file in active File Panel (without backslash)
          $/ - Directory of file in passive File Panel (without backslash)
          !: - Drive of file in active File Panel
          $: - Drive of file in passive File Panel

          You can use these macros in Menu item names.

          %1 - Name of list of selected files in active File Panel
          %2 - Name of list of selected files in passive File Panel
          %3... - User parameters
8. Added Windows-style File Open dialog.
9. Added TAR support
10. "Refresh old files" radio button added in File Copy/Move dialog.
11. Working with archives:
     þ "Copy to archive" function.
     þ Extract archive without entering in it.
12. Working with descriptions: editing (by pressing Alt-INS),
    copying, moving
   NOTE: For registered users only !
13. Added RAR 1.50 support
14. Text editor:
     þ sorting lines by selected vertical block containing (Alt-T)
     þ it is possible to calculate sum of numbers in vertical block and
       put it into Clipboard (Alt-Ins)
15. File Find:
     þ Search for a single file mask speeded up.
     þ Added "Advanced search" function to set time, size intervals and
       required attributes for files to find.
16. Pressing Right mouse button while dialog box is executed = pressed
    default dialog boxes push button.
17. It is possible to read file lists such as files with descriptions
    and *.?lo (Alt-V in file panel).
18. Added "View DN Team" command in About dialog box
19. Added new Diskette Format.
    (Advanced options are available for registered users only)
